/*
 * Code for class CURL_OPT_CONSTANTS
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "cu26.h"
#include <curl/curl.h>

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F31_410
static EIF_INTEGER_32 inline_F31_410 (void)
{
	return CURLOPT_VERBOSE;
	;
}
#define INLINE_F31_410
#endif
#ifndef INLINE_F31_411
static EIF_INTEGER_32 inline_F31_411 (void)
{
	return CURLOPT_HEADER;
	;
}
#define INLINE_F31_411
#endif
#ifndef INLINE_F31_414
static EIF_INTEGER_32 inline_F31_414 (void)
{
	return CURLOPT_WRITEDATA;
	;
}
#define INLINE_F31_414
#endif
#ifndef INLINE_F31_421
static EIF_INTEGER_32 inline_F31_421 (void)
{
	return CURLOPT_URL;
	;
}
#define INLINE_F31_421
#endif
#ifndef INLINE_F31_422
static EIF_INTEGER_32 inline_F31_422 (void)
{
	return CURLOPT_PROXY;
	;
}
#define INLINE_F31_422
#endif
#ifndef INLINE_F31_423
static EIF_INTEGER_32 inline_F31_423 (void)
{
	return CURLOPT_PROXYPORT;
	;
}
#define INLINE_F31_423
#endif
#ifndef INLINE_F31_433
static EIF_INTEGER_32 inline_F31_433 (void)
{
	return CURLOPT_USERPWD;
	;
}
#define INLINE_F31_433
#endif
#ifndef INLINE_F31_435
static EIF_INTEGER_32 inline_F31_435 (void)
{
	return CURLOPT_HTTPAUTH;
	;
}
#define INLINE_F31_435
#endif
#ifndef INLINE_F31_436
static EIF_INTEGER_32 inline_F31_436 (void)
{
	return CURLAUTH_NONE;
	;
}
#define INLINE_F31_436
#endif
#ifndef INLINE_F31_437
static EIF_INTEGER_32 inline_F31_437 (void)
{
	return CURLAUTH_BASIC;
	;
}
#define INLINE_F31_437
#endif
#ifndef INLINE_F31_438
static EIF_INTEGER_32 inline_F31_438 (void)
{
	return CURLAUTH_DIGEST;
	;
}
#define INLINE_F31_438
#endif
#ifndef INLINE_F31_439
static EIF_INTEGER_32 inline_F31_439 (void)
{
	return CURLAUTH_ANY;
	;
}
#define INLINE_F31_439
#endif
#ifndef INLINE_F31_440
static EIF_INTEGER_32 inline_F31_440 (void)
{
	return CURLAUTH_ANYSAFE;
	;
}
#define INLINE_F31_440
#endif
#ifndef INLINE_F31_445
static EIF_INTEGER_32 inline_F31_445 (void)
{
	return CURLOPT_FOLLOWLOCATION;
	;
}
#define INLINE_F31_445
#endif
#ifndef INLINE_F31_447
static EIF_INTEGER_32 inline_F31_447 (void)
{
	return CURLOPT_MAXREDIRS;
	;
}
#define INLINE_F31_447
#endif
#ifndef INLINE_F31_448
static EIF_INTEGER_32 inline_F31_448 (void)
{
	return CURLOPT_PUT;
	;
}
#define INLINE_F31_448
#endif
#ifndef INLINE_F31_449
static EIF_INTEGER_32 inline_F31_449 (void)
{
	return CURLOPT_POST;
	;
}
#define INLINE_F31_449
#endif
#ifndef INLINE_F31_450
static EIF_INTEGER_32 inline_F31_450 (void)
{
	return CURLOPT_POSTFIELDS;
	;
}
#define INLINE_F31_450
#endif
#ifndef INLINE_F31_451
static EIF_INTEGER_32 inline_F31_451 (void)
{
	return CURLOPT_POSTFIELDSIZE;
	;
}
#define INLINE_F31_451
#endif
#ifndef INLINE_F31_453
static EIF_INTEGER_32 inline_F31_453 (void)
{
	return CURLOPT_HTTPPOST;
	;
}
#define INLINE_F31_453
#endif
#ifndef INLINE_F31_456
static EIF_INTEGER_32 inline_F31_456 (void)
{
	return CURLOPT_HTTPHEADER;
	;
}
#define INLINE_F31_456
#endif
#ifndef INLINE_F31_462
static EIF_INTEGER_32 inline_F31_462 (void)
{
	return CURLOPT_HTTPGET;
	;
}
#define INLINE_F31_462
#endif
#ifndef INLINE_F31_463
static EIF_INTEGER_32 inline_F31_463 (void)
{
	return CURLOPT_HTTP_VERSION;
	;
}
#define INLINE_F31_463
#endif
#ifndef INLINE_F31_464
static EIF_INTEGER_32 inline_F31_464 (void)
{
	return CURL_HTTP_VERSION_NONE
	;
}
#define INLINE_F31_464
#endif
#ifndef INLINE_F31_465
static EIF_INTEGER_32 inline_F31_465 (void)
{
	return CURL_HTTP_VERSION_1_0
	;
}
#define INLINE_F31_465
#endif
#ifndef INLINE_F31_473
static EIF_INTEGER_32 inline_F31_473 (void)
{
	return CURLOPT_CUSTOMREQUEST
	;
}
#define INLINE_F31_473
#endif
#ifndef INLINE_F31_475
static EIF_INTEGER_32 inline_F31_475 (void)
{
	return CURLOPT_NOBODY;
	;
}
#define INLINE_F31_475
#endif
#ifndef INLINE_F31_476
static EIF_INTEGER_32 inline_F31_476 (void)
{
	return CURLOPT_INFILESIZE;
	;
}
#define INLINE_F31_476
#endif
#ifndef INLINE_F31_478
static EIF_INTEGER_32 inline_F31_478 (void)
{
	return CURLOPT_UPLOAD;
	;
}
#define INLINE_F31_478
#endif
#ifndef INLINE_F31_485
static EIF_INTEGER_32 inline_F31_485 (void)
{
	return CURLOPT_TIMEOUT
	;
}
#define INLINE_F31_485
#endif
#ifndef INLINE_F31_495
static EIF_INTEGER_32 inline_F31_495 (void)
{
	return CURLOPT_CONNECTTIMEOUT
	;
}
#define INLINE_F31_495
#endif
#ifndef INLINE_F31_506
static EIF_INTEGER_32 inline_F31_506 (void)
{
	return CURLOPT_SSLCERT;
	;
}
#define INLINE_F31_506
#endif
#ifndef INLINE_F31_507
static EIF_INTEGER_32 inline_F31_507 (void)
{
	return CURLOPT_SSLCERTTYPE;
	;
}
#define INLINE_F31_507
#endif
#ifndef INLINE_F31_510
static EIF_INTEGER_32 inline_F31_510 (void)
{
	return CURLOPT_KEYPASSWD;
	;
}
#define INLINE_F31_510
#endif
#ifndef INLINE_F31_513
static EIF_INTEGER_32 inline_F31_513 (void)
{
	return CURLOPT_SSLVERSION;
	;
}
#define INLINE_F31_513
#endif
#ifndef INLINE_F31_516
static EIF_INTEGER_32 inline_F31_516 (void)
{
	return CURL_SSLVERSION_MAX_TLSv1_2;
	;
}
#define INLINE_F31_516
#endif
#ifndef INLINE_F31_517
static EIF_INTEGER_32 inline_F31_517 (void)
{
	return CURL_SSLVERSION_TLSv1_3;
	;
}
#define INLINE_F31_517
#endif
#ifndef INLINE_F31_520
static EIF_INTEGER_32 inline_F31_520 (void)
{
	return CURLOPT_SSL_VERIFYPEER;
	;
}
#define INLINE_F31_520
#endif
#ifndef INLINE_F31_521
static EIF_INTEGER_32 inline_F31_521 (void)
{
	return CURLOPT_CAINFO;
	;
}
#define INLINE_F31_521
#endif
#ifndef INLINE_F31_523
static EIF_INTEGER_32 inline_F31_523 (void)
{
	return CURLOPT_SSL_VERIFYHOST;
	;
}
#define INLINE_F31_523
#endif
#ifndef INLINE_F31_526
static EIF_INTEGER_32 inline_F31_526 (void)
{
	return CURLOPT_SSL_CIPHER_LIST;
	;
}
#define INLINE_F31_526
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {CURL_OPT_CONSTANTS}.curlopt_verbose */
EIF_INTEGER_32 F31_410 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_410 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_header */
EIF_INTEGER_32 F31_411 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_411 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_writedata */
EIF_INTEGER_32 F31_414 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_414 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_url */
EIF_INTEGER_32 F31_421 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_421 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_proxy */
EIF_INTEGER_32 F31_422 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_422 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_proxyport */
EIF_INTEGER_32 F31_423 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_423 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_userpwd */
EIF_INTEGER_32 F31_433 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_433 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_httpauth */
EIF_INTEGER_32 F31_435 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_435 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlauth_none */
EIF_INTEGER_32 F31_436 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_436 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlauth_basic */
EIF_INTEGER_32 F31_437 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_437 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlauth_digest */
EIF_INTEGER_32 F31_438 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_438 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlauth_any */
EIF_INTEGER_32 F31_439 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_439 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlauth_anysafe */
EIF_INTEGER_32 F31_440 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_440 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_followlocation */
EIF_INTEGER_32 F31_445 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_445 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_maxredirs */
EIF_INTEGER_32 F31_447 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_447 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_put */
EIF_INTEGER_32 F31_448 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_448 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_post */
EIF_INTEGER_32 F31_449 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_449 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_postfields */
EIF_INTEGER_32 F31_450 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_450 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_postfieldsize */
EIF_INTEGER_32 F31_451 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_451 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_httppost */
EIF_INTEGER_32 F31_453 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_453 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_httpheader */
EIF_INTEGER_32 F31_456 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_456 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_httpget */
EIF_INTEGER_32 F31_462 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_462 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_http_version */
EIF_INTEGER_32 F31_463 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_463 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curl_http_version_none */
EIF_INTEGER_32 F31_464 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_464 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curl_http_version_1_0 */
EIF_INTEGER_32 F31_465 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_465 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_customrequest */
EIF_INTEGER_32 F31_473 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_473 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_nobody */
EIF_INTEGER_32 F31_475 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_475 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_infilesize */
EIF_INTEGER_32 F31_476 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_476 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_upload */
EIF_INTEGER_32 F31_478 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_478 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_timeout */
EIF_INTEGER_32 F31_485 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_485 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_connecttimeout */
EIF_INTEGER_32 F31_495 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_495 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_sslcert */
EIF_INTEGER_32 F31_506 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_506 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_sslcerttype */
EIF_INTEGER_32 F31_507 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_507 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_keypasswd */
EIF_INTEGER_32 F31_510 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_510 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_sslversion */
EIF_INTEGER_32 F31_513 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_513 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curl_sslversion_tlsv1_2 */
EIF_INTEGER_32 F31_516 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_516 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curl_sslversion_tlsv1_3 */
EIF_INTEGER_32 F31_517 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_517 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_ssl_verifypeer */
EIF_INTEGER_32 F31_520 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_520 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_cainfo */
EIF_INTEGER_32 F31_521 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_521 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_ssl_verifyhost */
EIF_INTEGER_32 F31_523 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_523 ();
	return Result;
}

/* {CURL_OPT_CONSTANTS}.curlopt_ssl_cipher_list */
EIF_INTEGER_32 F31_526 (EIF_REFERENCE Current)
{
	GTCX
	EIF_INTEGER_32 Result = ((EIF_INTEGER_32) 0);
	
	
	
	Result = inline_F31_526 ();
	return Result;
}

void EIF_Minit26 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
