case $CONFIG in
'')
	if test ! -f ../config.sh; then
		(echo "Can't find ../config.sh."; exit 1)
	fi 2>/dev/null
	. ../config.sh
	;;
esac
case "$O" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Compiling C code in C121"
$spitshell >Makefile <<!GROK!THIS!
INCLUDE_PATH =  -I"\$(ISE_LIBRARY)/library/base/elks/encoding/implementation/include" -I"\$(ISE_LIBRARY)/library/process/base/platform/unix/include" -I"\$(EIFFEL_SRC)/C/bench" -I"\$(EIFFEL_SRC)/C/platform" -I"\$(ISE_LIBRARY)/library/time/spec/include" -I"\$(EIFFEL_SRC)/framework/dotnet/il_emitter/Clib" -I"\$(ISE_LIBRARY)/library/i18n/spec/include" -I"\$(ISE_LIBRARY)/library/vision2/spec/include" -I"\$(ISE_LIBRARY)/library/vision2/implementation/gtk3/Clib" -I"\$(ISE_LIBRARY)/library/cURL/spec/include" -I"\$(ISE_LIBRARY)/C_library/curl/include" -I"\$(ISE_LIBRARY)/library/web_browser/spec/include/webkit2" -I"\$(ISE_LIBRARY)/library/web_browser/spec/include" `$ISE_LIBRARY/library/base/elks/encoding/implementation/unix/Clib/iconv-config --include_path` `$ISE_LIBRARY/library/vision2/implementation/gtk3/Clib/vision2-gtk-config --include_path`
SHELL = /bin/sh
CC = $cc
CPP = $cpp
CFLAGS = $optimize $mtccflags $large -I"$rt_include" -I. \$(INCLUDE_PATH)
CPPFLAGS = $optimize $mtcppflags $large -I"$rt_include" -I. \$(INCLUDE_PATH)
LDFLAGS = $ldflags
CCLDFLAGS = $ccldflags  $console_flags
LDSHAREDFLAGS =  $mtldsharedflags
EIFLIB = "$rt_lib/$prefix$mt_prefix$eiflib$suffix"
EIFTEMPLATES = $rt_templates
LIBS = $mtlibs
MAKE = $make
AR = $ar
LD = $ld
MKDEP = $mkdep \$(DPFLAGS) --
MV = $mv
CP = $cp
RANLIB = $ranlib
RM = $rm -f
FILE_EXIST = $file_exist
RMDIR = $rmdir
X2C = "$x2c"
SHAREDLINK = $sharedlink
SHAREDLIBS = $sharedlibs
SHARED_SUFFIX = $shared_suffix
COMMAND_MAKEFILE = 
START_TEST = $start_test 
END_TEST = $end_test 
CREATE_TEST = $create_test 
SYSTEM_IN_DYNAMIC_LIB = ec$shared_suffix 
!GROK!THIS!
$spitshell >>Makefile <<'!NO!SUBS!'
.SUFFIXES: .x .xpp .cpp .o

.c.o:
	$(CC) $(CFLAGS) -c $<

.cpp.o:
	$(CPP) $(CPPFLAGS) -c $<

.x.o:
	$(X2C) $< $*.c
	$(CC) $(CFLAGS) -c $*.c
	$(RM) $*.c

.xpp.o:
	$(X2C) $< $*.cpp
	$(CPP) $(CPPFLAGS) -c $*.cpp
	$(RM) $*.cpp

.x.c:
	$(X2C) $< $*.c

.xpp.cpp:
	$(X2C) $< $*.cpp

OBJECTS = ca6001.o vw6000.o vu6043.o vu6047.o vt6048.o vt6049.o ve6027.o \
	vu6023.o vr6014.o vr6015.o vu6017.o vk6026.o vi6039.o vb6035.o \
	vu6042.o vu6041.o vu6018.o vu6019.o vu6020.o ve6029.o ve6028.o \
	vu6044.o vu6046.o vd6033.o vd6032.o vd6031.o vw6012.o vw6013.o \
	vu6022.o vw6010.o va6008.o va6009.o vw6011.o vu6005.o vu6045.o \
	vb6003.o vk6025.o vw6007.o vw6006.o vi6038.o vi6037.o vu6040.o \
	vk6024.o vu6021.o vu6016.o vi6036.o vb6034.o vd6030.o vu6004.o \
	vb6002.o 

all: Cobj121.o

Cobj121.o: $(OBJECTS) Makefile
	$(LD) $(LDFLAGS) -r -o Cobj121.o $(OBJECTS)
	$(RM) $(OBJECTS)
	$(CREATE_TEST)

clean: local_clean
clobber: local_clobber

local_clean::
	$(RM) core finished *.o

local_clobber:: local_clean
	$(RM) Makefile

!NO!SUBS!
chmod 644 Makefile
$eunicefix Makefile
