/*
 * Code for class ARGUMENT_BASE_PARSER
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ar187.h"
#include "eif_built_in.h"
#include <stdio.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <termios.h>
#include "eif_helpers.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F26_237
static EIF_INTEGER_32 inline_F26_237 (void)
{
	#ifdef TIOCGSIZE
	struct ttysize win;
    if (ioctl (STDIN_FILENO, TIOCGSIZE, &win))
        return 0;
    else
        return win.ts_cols;
#elif defined TIOCGWINSZ
	struct winsize win;
    if (ioctl (STDIN_FILENO, TIOCGWINSZ, &win))
        return 0;
    else
        return win.ws_col;
#else
    {
		// Not likely to work because COLUMNS generally is a shell variable.
        const char *s;
        s = getenv ("COLUMNS");
        if (s)
            return strtol (s, 0, 10);
        else
            return 0;
    }
#endif
	;
}
#define INLINE_F26_237
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {ARGUMENT_BASE_PARSER}.make */
void F233_2833 (EIF_REFERENCE Current, EIF_BOOLEAN arg1, EIF_BOOLEAN arg2, EIF_BOOLEAN arg3)
{
	GTCX
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	F233_2834(Current);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_5_) = (EIF_BOOLEAN) arg1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_7_) = (EIF_BOOLEAN) arg2;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_8_) = (EIF_BOOLEAN) arg3;
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.initialize_defaults */
void F233_2834 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTCFDT;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_6_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_5_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_7_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_8_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_1_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_0_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_3_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
	{
		static EIF_TYPE_INDEX typarr0[] = {913,42,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr1 = RTLNSMART(typres0.id);
	}
	F914_6961(RTCW(tr1), ((EIF_INTEGER_32) 0L));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_1_) = (EIF_REFERENCE) tr1;
	{
		static EIF_TYPE_INDEX typarr0[] = {913,1075,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr1 = RTLNSMART(typres0.id);
	}
	F914_6961(RTCW(tr1), ((EIF_INTEGER_32) 0L));
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current + _REFACS_2_) = (EIF_REFERENCE) tr1;
	tr1 = RTLNS(eif_new_type(152, 0x00).id, 152, _OBJSIZ_1_2_0_0_0_0_0_0_);
	RTAR(Current, tr1);
	*(EIF_REFERENCE *)(Current) = (EIF_REFERENCE) tr1;
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.values */
EIF_REFERENCE F233_2836 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	
	
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_2_);
}

/* {ARGUMENT_BASE_PARSER}.option_values */
EIF_REFERENCE F233_2837 (EIF_REFERENCE Current)
{
	GTCX
	
	
	return (EIF_REFERENCE) *(EIF_REFERENCE *)(Current + _REFACS_1_);
}

/* {ARGUMENT_BASE_PARSER}.error_messages */
static EIF_REFERENCE F233_2838_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2838);
#define Result RTOSR(2838)
	RTOC_NEW(Result);
	{
		static EIF_TYPE_INDEX typarr0[] = {913,1066,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNS(typres0.id, 913, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	F914_6961(RTCW(tr1), ((EIF_INTEGER_32) 0L));
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2838);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2838 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2838,F233_2838_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.system_name */
EIF_REFERENCE F233_2839 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTGC;
	tr1 = RTOSCF(2118,F150_2118, (RTCV(F233_2842(Current))));
	tr1 = F1092_9199(RTCW(tr1));
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		tr1 = F1092_9222(loc1);
		RTLE;
		return (EIF_REFERENCE) tr1;
	} else {
		RTLE;
		return (EIF_REFERENCE) RTOSCF(2914,F233_2914, (Current));
	}/* NOTREACHED */
	
}

/* {ARGUMENT_BASE_PARSER}.sub_system_name */
EIF_REFERENCE F233_2840 (EIF_REFERENCE Current)
{
	GTCX
	
	
	RTGC;
	return (EIF_REFERENCE) 0;
}

/* {ARGUMENT_BASE_PARSER}.arguments */
EIF_REFERENCE F233_2841 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc5 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 loc6 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc7 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(8);
	RTLR(0,Current);
	RTLR(1,loc1);
	RTLR(2,Result);
	RTLR(3,loc4);
	RTLR(4,loc8);
	RTLR(5,tr1);
	RTLR(6,loc2);
	RTLR(7,loc3);
	RTLIU(8);
	
	RTGC;
	if (RTOSCF(2862,F233_2862, (Current))) {
		loc1 = RTOSCF(2122,F151_2122, (RTCV(F233_2842(Current))));
		{
			static EIF_TYPE_INDEX typarr0[] = {913,1075,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
			Result = RTLNS(typres0.id, 913, _OBJSIZ_1_1_0_1_0_0_0_0_);
		}
		ti4_1 = F914_6982(RTCW(loc1));
		F914_6961(RTCW(Result), ti4_1);
		loc4 = RTOSCF(2912,F233_2912, (Current));
		loc5 = *(EIF_BOOLEAN *)(Current+ _CHROFF_4_0_);
		tr1 = F914_6975(RTCW(loc1));
		loc8 = (EIF_REFERENCE) tr1;
		for (;;) {
			tb1 = F522_5971(loc8);
			if (tb1) break;
			loc2 = F522_5962(loc8);
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_1_0_0_2_);
			if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 2L))) {
				tb2 = '\0';
				tw1 = F1076_8597(RTCW(loc2), ((EIF_INTEGER_32) 1L));
				tb3 = F848_6790(RTCW(loc4), tw1);
				if (tb3) {
					tw1 = F1076_8597(RTCW(loc2), ((EIF_INTEGER_32) 2L));
					tb3 = F848_6790(RTCW(loc4), tw1);
					tb2 = (EIF_BOOLEAN) !tb3;
				}
				if (tb2) {
					if (loc5) {
						loc7 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_1_0_0_2_);
					} else {
						tw1 = RTOSCF(2913,F233_2913, (Current));
						loc7 = F1075_8550(RTCW(loc2), tw1, ((EIF_INTEGER_32) 2L));
						if ((EIF_BOOLEAN)(loc7 == ((EIF_INTEGER_32) 0L))) {
							loc7 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_1_0_0_2_);
						} else {
							ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_1_0_0_2_);
							ti4_1 = eif_min_int32 (loc7,ti4_1);
							loc7 = (EIF_INTEGER_32) ti4_1;
						}
					}
					loc6 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 2L);
					for (;;) {
						if ((EIF_BOOLEAN) (loc6 > loc7)) break;
						loc3 = (EIF_REFERENCE) NULL;
						tb2 = '\0';
						if ((EIF_BOOLEAN) ((EIF_BOOLEAN) !loc5 && (EIF_BOOLEAN) (loc6 < loc7))) {
							tw1 = F1076_8597(RTCW(loc2), (EIF_INTEGER_32) (loc6 + ((EIF_INTEGER_32) 1L)));
							tb2 = (EIF_BOOLEAN)(tw1 == RTOSCF(2913,F233_2913, (Current)));
						}
						if (tb2) {
							loc3 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
							F1075_8538(RTCW(loc3), (EIF_INTEGER_32) (((EIF_INTEGER_32) 1L) + (EIF_INTEGER_32) (loc7 - loc6)));
							tw1 = F848_6787(RTCW(loc4), ((EIF_INTEGER_32) 1L));
							F1077_8666(RTCW(loc3), tw1);
							ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc2)+ _LNGOFF_1_0_0_2_);
							tr1 = F1076_8606(RTCW(loc2), loc6, ti4_1);
							F1077_8653(RTCW(loc3), tr1);
							loc6 = (EIF_INTEGER_32) loc7;
						}
						tb2 = '\0';
						if ((EIF_BOOLEAN)(loc3 == NULL)) {
							tb3 = '\01';
							if (!loc5) {
								tw1 = F1076_8597(RTCW(loc2), loc6);
								tb3 = (EIF_BOOLEAN)(tw1 != RTOSCF(2913,F233_2913, (Current)));
							}
							tb2 = tb3;
						}
						if (tb2) {
							loc3 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
							F1075_8538(RTCW(loc3), ((EIF_INTEGER_32) 2L));
							tw1 = F848_6787(RTCW(loc4), ((EIF_INTEGER_32) 1L));
							F1077_8666(RTCW(loc3), tw1);
							tw1 = F1076_8597(RTCW(loc2), loc6);
							F1077_8666(RTCW(loc3), tw1);
						}
						if ((EIF_BOOLEAN)(loc3 != NULL)) {
							tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
							F1076_8593(RTCW(tr1), loc3);
							(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(Result))-724])(Result, tr1);
						}
						loc6++;
					}
				} else {
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(Result))-724])(Result, loc2);
				}
			} else {
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(Result))-724])(Result, loc2);
			}
			F522_5977(loc8);
		}
	} else {
		Result = RTOSCF(2122,F151_2122, (RTCV(F233_2842(Current))));
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.argument_source */
EIF_REFERENCE F233_2842 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,Result);
	RTLIU(2);
	
	RTGC;
	Result = *(EIF_REFERENCE *)(Current + _REFACS_3_);
	if ((EIF_BOOLEAN) !(EIF_BOOLEAN)(Result != NULL)) {
		Result = F233_2911(Current);
		RTAR(Current, Result);
		*(EIF_REFERENCE *)(Current + _REFACS_3_) = (EIF_REFERENCE) Result;
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.max_columns */
static EIF_NATURAL_32 F233_2846_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_NATURAL_32 tu4_1;
	

	
	RTEV;
	RTGC;
	RTOSP (2846);
#define Result RTOSR(2846)
	Result = (EIF_NATURAL_32) inline_F26_237();
	if ((EIF_BOOLEAN)(Result == (EIF_NATURAL_32) ((EIF_INTEGER_32) 0L))) {
		Result = (EIF_NATURAL_32) ((EIF_INTEGER_32) 2147483647L);
	} else {
		if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_windows__b) {
			Result -= (EIF_NATURAL_32) ((EIF_INTEGER_32) 1L);
		}
		tu4_1 = eif_max_uint32 (Result,(EIF_NATURAL_32) ((EIF_INTEGER_32) 25L));
		Result = (EIF_NATURAL_32) tu4_1;
	}
	RTOSE (2846);
	RTEE;
	return Result;
#undef Result
}

EIF_NATURAL_32 F233_2846 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2846,F233_2846_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.is_successful */
EIF_BOOLEAN F233_2847 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	Result = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_4_11_)) {
		tb1 = F727_6182(RTCV(RTOSCF(2838,F233_2838, (Current))));
		Result = tb1;
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.has_non_switched_argument */
EIF_BOOLEAN F233_2853 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	Result = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_4_11_)) {
		tb1 = F727_6182(RTCV(F233_2836(Current)));
		Result = (EIF_BOOLEAN) !tb1;
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.has_option */
EIF_BOOLEAN F233_2854 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLIU(2);
	
	RTGC;
	Result = '\0';
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_4_11_)) {
		Result = (EIF_BOOLEAN)(F233_2929(Current, arg1) != NULL);
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.is_using_unix_switch_style */
static EIF_BOOLEAN F233_2862_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTLD;
	

	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLIU(3);
	
	RTEV;
	RTGC;
	RTOSP (2862);
#define Result RTOSR(2862)
	loc1 = F914_6975(RTCV(RTOSCF(2957,F236_2957, (Current))));
	tb1 = EIF_FALSE;
	for (;;) {
		if (tb1) break;
		tb2 = F522_5971(loc1);
		if (tb2) break;
		tr1 = F522_5962(loc1);
		tb3 = F1017_8027(RTCW(tr1));
		tb1 = tb3;
		F522_5977(loc1);
	}
	Result = (EIF_BOOLEAN) tb1;
	RTOSE (2862);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_BOOLEAN F233_2862 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2862,F233_2862_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.has_visible_available_options */
EIF_BOOLEAN F233_2864 (EIF_REFERENCE Current)
{
	GTCX
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTGC;
	Result = F727_6182(RTCV(RTOSCF(2905,F233_2905, (Current))));
	Result = (EIF_BOOLEAN) (EIF_BOOLEAN) !Result;
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.has_switch */
EIF_BOOLEAN F233_2866 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN loc1 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_BOOLEAN Result = ((EIF_BOOLEAN) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,Current);
	RTLR(1,loc2);
	RTLR(2,tr1);
	RTLR(3,arg1);
	RTLIU(4);
	
	RTGC;
	loc1 = *(EIF_BOOLEAN *)(Current+ _CHROFF_4_5_);
	loc2 = F914_6975(RTCV(RTOSCF(2904,F233_2904, (Current))));
	tb1 = EIF_FALSE;
	for (;;) {
		if (tb1) break;
		tb2 = F522_5971(loc2);
		if (tb2) break;
		if (loc1) {
			tr1 = F522_5962(loc2);
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb3 = F1067_8284(RTCW(tr1), arg1);
		} else {
			tr1 = F522_5962(loc2);
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb4 = F1067_8281(RTCW(tr1), arg1);
			tb3 = tb4;
		}
		tb1 = tb3;
		F522_5977(loc2);
	}
	Result = (EIF_BOOLEAN) tb1;
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.set_is_using_separated_switch_values */
void F233_2867 (EIF_REFERENCE Current, EIF_BOOLEAN arg1)
{
	GTCX
	
	
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_0_) = (EIF_BOOLEAN) arg1;
}

/* {ARGUMENT_BASE_PARSER}.option_of_name */
EIF_REFERENCE F233_2871 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	
	
	return (EIF_REFERENCE) F233_2929(Current, arg1);
}

/* {ARGUMENT_BASE_PARSER}.options_of_name */
EIF_REFERENCE F233_2872 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN loc1 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(6);
	RTLR(0,Current);
	RTLR(1,Result);
	RTLR(2,loc3);
	RTLR(3,tr1);
	RTLR(4,loc2);
	RTLR(5,arg1);
	RTLIU(6);
	
	RTGC;
	{
		static EIF_TYPE_INDEX typarr0[] = {913,42,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		Result = RTLNS(typres0.id, 913, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	F914_6961(RTCW(Result), ((EIF_INTEGER_32) 0L));
	loc1 = *(EIF_BOOLEAN *)(Current+ _CHROFF_4_5_);
	tr1 = F233_2837(Current);
	loc3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5280[Dtype(RTCW(tr1))-473])(tr1);
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5009[Dtype(loc3)-433])(loc3);
		if (tb1) break;
		loc2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5008[Dtype(loc3)-433])(loc3);
		if (loc1) {
			tr1 = *(EIF_REFERENCE *)(RTCW(loc2));
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb2 = F1067_8284(RTCW(tr1), arg1);
		} else {
			tr1 = *(EIF_REFERENCE *)(RTCW(loc2));
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb3 = F1067_8281(RTCW(tr1), arg1);
			tb2 = tb3;
		}
		if (tb2) {
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(Result))-724])(Result, loc2);
		}
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R5010[Dtype(loc3)-433])(loc3);
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.switch_of_name */
EIF_REFERENCE F233_2875 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN loc1 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,loc2);
	RTLR(2,tr1);
	RTLR(3,arg1);
	RTLR(4,Result);
	RTLIU(5);
	
	RTGC;
	loc1 = *(EIF_BOOLEAN *)(Current+ _CHROFF_4_5_);
	loc2 = F914_6975(RTCV(RTOSCF(2904,F233_2904, (Current))));
	for (;;) {
		tb1 = F522_5971(loc2);
		if (tb1) break;
		if ((EIF_BOOLEAN)(Result != NULL)) break;
		if (loc1) {
			tr1 = F522_5962(loc2);
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb2 = F1067_8284(RTCW(tr1), arg1);
		} else {
			tr1 = F522_5962(loc2);
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb3 = F1067_8281(RTCW(tr1), arg1);
			tb2 = tb3;
		}
		if (tb2) {
			Result = F522_5962(loc2);
		}
		F522_5977(loc2);
	}
	RTCT0("from_precondition_has_switch", EX_CHECK);
	if ((EIF_BOOLEAN)(Result != NULL)) {
		RTCK0;
	} else {
		RTCF0;
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.string_formatter */
static EIF_REFERENCE F233_2876_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(1);
	RTLR(0,tr1);
	RTLIU(1);
	
	RTEV;
	RTGC;
	RTOSP (2876);
#define Result RTOSR(2876)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1234, 0x00).id, 1234, _OBJSIZ_0_0_0_0_0_0_0_0_);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2876);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2876 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2876,F233_2876_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.execute */
void F233_2877 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTGC;
	F233_2879(Current);
	if (F233_2847(Current)) {
		tb1 = '\0';
		if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_windows__b) {
			tb1 = (EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_4_9_);
		}
		if (tb1) {
			F233_2890(Current);
		}
		if (*(EIF_BOOLEAN *)(Current+ _CHROFF_4_10_)) {
			F233_2889(Current);
		} else {
			tb1 = '\0';
			tr1 = RTOSCF(2903,F233_2903, (Current));
			if (F233_2866(Current, tr1)) {
				tr1 = RTOSCF(2903,F233_2903, (Current));
				tb1 = F233_2854(Current, tr1);
			}
			if (tb1) {
				F233_2891(Current);
			} else {
				tb1 = '\0';
				tb2 = F727_6182(RTCV(F233_2837(Current)));
				if (tb2) {
					tb2 = F727_6182(RTCV(F233_2836(Current)));
					tb1 = tb2;
				}
				if (tb1) {
					F233_2878(Current, arg1);
				} else {
					(FUNCTION_CAST(void, (EIF_POINTER, EIF_REFERENCE)) *(EIF_POINTER *)(RTCW(arg1)+ _PTROFF_4_2_0_3_0_0_))(
						*(EIF_POINTER *)(RTCW(arg1)+ _PTROFF_4_2_0_3_0_1_),
						*(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_1_));
				}
			}
		}
	} else {
		tb1 = '\0';
		tr1 = RTOSCF(2901,F233_2901, (Current));
		if (F233_2866(Current, tr1)) {
			tb1 = (EIF_BOOLEAN) !*(EIF_BOOLEAN *)(Current+ _CHROFF_4_9_);
		}
		if (tb1) {
			F233_2890(Current);
		}
		if (*(EIF_BOOLEAN *)(Current+ _CHROFF_4_3_)) {
			F233_2889(Current);
		}
		F233_2892(Current);
	}
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_4_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.execute_noop */
void F233_2878 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLIU(2);
	
	RTGC;
	if ((EIF_BOOLEAN) (*(EIF_BOOLEAN *)(Current+ _CHROFF_4_7_) && *(EIF_BOOLEAN *)(Current+ _CHROFF_4_8_))) {
		F233_2889(Current);
	} else {
		(FUNCTION_CAST(void, (EIF_POINTER, EIF_REFERENCE)) *(EIF_POINTER *)(RTCW(arg1)+ _PTROFF_4_2_0_3_0_0_))(
			*(EIF_POINTER *)(RTCW(arg1)+ _PTROFF_4_2_0_3_0_1_),
			*(EIF_REFERENCE *)(RTCW(arg1) + _REFACS_1_));
	}
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.parse_arguments */
void F233_2879 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc2 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc9 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc10 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc11 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc12 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc13 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc14 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 loc15 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc16 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc17 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc18 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc19 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc20 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc21 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc22 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_CHARACTER_32 tw2;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_BOOLEAN tb5;
	EIF_BOOLEAN tb6;
	RTCFDT;
	RTLD;
	
	RTLI(17);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,loc1);
	RTLR(3,loc8);
	RTLR(4,loc18);
	RTLR(5,loc12);
	RTLR(6,loc4);
	RTLR(7,loc3);
	RTLR(8,loc5);
	RTLR(9,tr2);
	RTLR(10,tr3);
	RTLR(11,loc7);
	RTLR(12,loc19);
	RTLR(13,loc6);
	RTLR(14,loc20);
	RTLR(15,loc21);
	RTLR(16,loc22);
	RTLIU(17);
	
	RTGC;
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
	F914_7020(RTCW(tr1));
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
	F914_7020(RTCW(tr1));
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_11_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	loc1 = RTOSCF(2904,F233_2904, (Current));
	loc8 = RTOSCF(2912,F233_2912, (Current));
	loc9 = *(EIF_BOOLEAN *)(Current+ _CHROFF_4_5_);
	loc2 = *(EIF_BOOLEAN *)(Current+ _CHROFF_4_0_);
	loc18 = F914_6975(RTCV(F233_2841(Current)));
	for (;;) {
		tb1 = F522_5971(loc18);
		if (tb1) break;
		loc12 = F522_5962(loc18);
		tb2 = '\0';
		tb3 = '\0';
		tb4 = '\0';
		if ((EIF_BOOLEAN) !loc14) {
			tb5 = F1076_8609(RTCW(loc12));
			tb4 = (EIF_BOOLEAN) !tb5;
		}
		if (tb4) {
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc12)+ _LNGOFF_1_0_0_2_);
			tb3 = (EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 1L));
		}
		if (tb3) {
			tw1 = F1076_8597(RTCW(loc12), ((EIF_INTEGER_32) 1L));
			tb3 = F848_6790(RTCW(loc8), tw1);
			tb2 = tb3;
		}
		if (tb2) {
			tb2 = '\0';
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc12)+ _LNGOFF_1_0_0_2_);
			if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 2L))) {
				tw1 = F1076_8597(RTCW(loc12), ((EIF_INTEGER_32) 2L));
				tb3 = F848_6790(RTCW(loc8), tw1);
				tb2 = tb3;
			}
			if (tb2) {
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc12)+ _LNGOFF_1_0_0_2_);
				loc4 = F1076_8607(RTCW(loc12), ((EIF_INTEGER_32) 3L), ti4_1);
				loc13 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
			} else {
				tb2 = '\0';
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc12)+ _LNGOFF_1_0_0_2_);
				if ((EIF_BOOLEAN)(ti4_1 == ((EIF_INTEGER_32) 2L))) {
					tr1 = RTMS_EX_H("--",2,11565);
					tb3 = F1067_8284(RTCW(loc12), tr1);
					tb2 = tb3;
				}
				if (tb2) {
					loc14 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
					loc4 = (EIF_REFERENCE) loc12;
				} else {
					ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc12)+ _LNGOFF_1_0_0_2_);
					loc4 = F1076_8607(RTCW(loc12), ((EIF_INTEGER_32) 2L), ti4_1);
				}
				loc13 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
			}
			if ((EIF_BOOLEAN) !loc14) {
				loc3 = (EIF_REFERENCE) NULL;
				tb2 = F1076_8609(RTCW(loc4));
				if ((EIF_BOOLEAN) !tb2) {
					loc11 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
					loc5 = (EIF_REFERENCE) NULL;
					if ((EIF_BOOLEAN) !loc2) {
						tw1 = RTOSCF(2913,F233_2913, (Current));
						loc16 = F1075_8550(RTCW(loc4), tw1, ((EIF_INTEGER_32) 1L));
						if ((EIF_BOOLEAN) (loc16 > ((EIF_INTEGER_32) 0L))) {
							if ((EIF_BOOLEAN)(loc16 == ((EIF_INTEGER_32) 1L))) {
								tr1 = RTOSCF(2916,F233_2916, (Current));
								{
									static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1015,1076,0xFFFF};
									EIF_TYPE typres0;
									static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
									
									typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
									tr2 = RTLNTS(typres0.id, 2, 0);
								}
								tr3 = F233_2909(Current, loc12);
								((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
								RTAR(tr2,tr3);
								F233_2888(Current, tr1, tr2);
								loc11 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
							} else {
								ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc4)+ _LNGOFF_1_0_0_2_);
								loc5 = F1076_8607(RTCW(loc4), (EIF_INTEGER_32) (loc16 + ((EIF_INTEGER_32) 1L)), ti4_1);
								tr1 = F1076_8607(RTCW(loc4), ((EIF_INTEGER_32) 1L), (EIF_INTEGER_32) (loc16 - ((EIF_INTEGER_32) 1L)));
								loc4 = (EIF_REFERENCE) tr1;
							}
						}
					}
					if ((EIF_BOOLEAN) !loc11) {
						if ((EIF_BOOLEAN) !loc9) {
							tr1 = F1076_8604(RTCW(loc4));
							loc4 = (EIF_REFERENCE) tr1;
						}
						loc7 = (EIF_REFERENCE) NULL;
						loc10 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
						loc19 = F914_6975(RTCW(loc1));
						for (;;) {
							tb2 = F522_5971(loc19);
							if (tb2) break;
							if (loc10) break;
							loc6 = F522_5962(loc19);
							if (loc13) {
								if (loc9) {
									tr1 = *(EIF_REFERENCE *)(RTCW(loc6) + _REFACS_1_);
									loc10 = F1075_8565(RTCW(tr1), loc4);
								} else {
									tr1 = *(EIF_REFERENCE *)(RTCW(loc6) + _REFACS_1_);
									loc10 = F1075_8563(RTCW(tr1), loc4);
								}
							} else {
								if (loc9) {
									tr1 = F1017_8018(RTCW(loc6));
									loc10 = F1075_8565(RTCW(tr1), loc4);
								} else {
									tr1 = F1017_8018(RTCW(loc6));
									loc10 = F1075_8563(RTCW(tr1), loc4);
								}
							}
							if (loc10) {
								loc7 = (EIF_REFERENCE) loc6;
							}
							F522_5977(loc19);
						}
						if ((EIF_BOOLEAN) ((EIF_BOOLEAN) !loc10 && (EIF_BOOLEAN) !loc13)) {
							loc17 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
							loc15 = *(EIF_INTEGER_32 *)(RTCW(loc4)+ _LNGOFF_1_0_0_2_);
							for (;;) {
								if ((EIF_BOOLEAN) (loc17 > loc15)) break;
								loc10 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
								loc20 = F914_6975(RTCW(loc1));
								for (;;) {
									tb3 = F522_5971(loc20);
									if (tb3) break;
									if (loc10) break;
									loc6 = F522_5962(loc20);
									tb4 = F1017_8027(RTCW(loc6));
									if (tb4) {
										if (loc9) {
											tw1 = *(EIF_CHARACTER_32 *)(RTCW(loc6)+ _LNGOFF_3_4_0_0_);
											tw2 = F1076_8597(RTCW(loc4), loc17);
											loc10 = (EIF_BOOLEAN) (EIF_BOOLEAN)(tw1 == tw2);
										} else {
											tw1 = *(EIF_CHARACTER_32 *)(RTCW(loc6)+ _LNGOFF_3_4_0_0_);
											tr1 = RTLNS(eif_new_type(1020, 0x00).id, 1020, _OBJSIZ_0_0_0_1_0_0_0_0_);
											*(EIF_CHARACTER_32 *)tr1 = tw1;
											tw1 = F1019_8065(RTCW(tr1));
											tw2 = F1076_8597(RTCW(loc4), loc17);
											loc10 = (EIF_BOOLEAN) (EIF_BOOLEAN)(tw1 == tw2);
										}
										if ((EIF_BOOLEAN) (loc10 && (EIF_BOOLEAN) (loc17 < loc15))) {
											tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
											tr2 = F1017_8030(RTCW(loc6));
											(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(tr1))-724])(tr1, tr2);
										}
									}
									F522_5977(loc20);
								}
								loc17++;
							}
							if (loc10) {
								loc7 = (EIF_REFERENCE) loc6;
							}
						}
						if (loc10) {
							if ((EIF_BOOLEAN)(loc6 != NULL)) {
								tb4 = '\0';
								tb5 = '\0';
								if ((EIF_BOOLEAN)(loc5 != NULL)) {
									tb6 = F1076_8609(RTCW(loc5));
									tb5 = (EIF_BOOLEAN) !tb6;
								}
								if (tb5) {
									loc21 = loc7;
									loc21 = RTRV(eif_new_type(1017, 0x00),loc21);
									tb4 = EIF_TEST(loc21);
								}
								if (tb4) {
									tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
									tr2 = (RTNA((loc21, loc5)), ((EIF_REFERENCE) 0));
									(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(tr1))-724])(tr1, tr2);
								} else {
									tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
									tr2 = F1017_8030(RTCW(loc6));
									(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(tr1))-724])(tr1, tr2);
								}
							} else {
							}
							if (loc2) {
								loc3 = (EIF_REFERENCE) loc6;
							}
						} else {
							tr1 = RTOSCF(2917,F233_2917, (Current));
							{
								static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1015,1076,0xFFFF};
								EIF_TYPE typres0;
								static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
								
								typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
								tr2 = RTLNTS(typres0.id, 2, 0);
							}
							tr3 = F233_2909(Current, loc12);
							((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
							RTAR(tr2,tr3);
							F233_2888(Current, tr1, tr2);
						}
					}
				} else {
					tr1 = RTOSCF(2916,F233_2916, (Current));
					{
						static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1015,1076,0xFFFF};
						EIF_TYPE typres0;
						static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
						
						typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
						tr2 = RTLNTS(typres0.id, 2, 0);
					}
					tr3 = F233_2909(Current, loc12);
					((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
					RTAR(tr2,tr3);
					F233_2888(Current, tr1, tr2);
				}
			}
		} else {
			loc22 = loc3;
			loc22 = RTRV(eif_new_type(1017, 0x00),loc22);
			if (EIF_TEST(loc22)) {
				tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
				F914_6993(RTCW(tr1));
				tb4 = '\0';
				if ((EIF_BOOLEAN)(loc12 != NULL)) {
					tb5 = F1076_8609(RTCW(loc12));
					tb4 = (EIF_BOOLEAN) !tb5;
				}
				if (tb4) {
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
					tr2 = (RTNA((loc22, loc12)), ((EIF_REFERENCE) 0));
					F914_7005(RTCW(tr1), tr2);
				}
			} else {
				tb4 = F1076_8609(RTCW(loc12));
				if ((EIF_BOOLEAN) !tb4) {
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(tr1))-724])(tr1, loc12);
				} else {
					tr1 = RTOSCF(2916,F233_2916, (Current));
					{
						static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1015,1076,0xFFFF};
						EIF_TYPE typres0;
						static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
						
						typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
						tr2 = RTLNTS(typres0.id, 2, 0);
					}
					tr3 = F233_2909(Current, loc12);
					((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
					RTAR(tr2,tr3);
					F233_2888(Current, tr1, tr2);
				}
			}
			loc3 = (EIF_REFERENCE) NULL;
		}
		F522_5977(loc18);
	}
	if (F233_2847(Current)) {
		tr1 = RTOSCF(2902,F233_2902, (Current));
		if ((EIF_BOOLEAN) !F233_2854(Current, tr1)) {
			F235_2944(Current);
			if (F233_2847(Current)) {
				F233_2880(Current);
			}
		} else {
			*(EIF_BOOLEAN *)(Current+ _CHROFF_4_10_) = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		}
	}
	tb4 = F233_2847(Current);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_11_) = (EIF_BOOLEAN) tb4;
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.post_process_arguments */
void F233_2880 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTGC;
	tb1 = '\01';
	tb2 = '\01';
	tr1 = RTOSCF(2901,F233_2901, (Current));
	if (!(EIF_BOOLEAN) !F233_2866(Current, tr1)) {
		tr1 = RTOSCF(2901,F233_2901, (Current));
		tb2 = F233_2854(Current, tr1);
	}
	if (!tb2) {
		tr1 = RTOSCF(2903,F233_2903, (Current));
		tb1 = F233_2854(Current, tr1);
	}
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_9_) = (EIF_BOOLEAN) tb1;
	tr1 = RTOSCF(2902,F233_2902, (Current));
	tb1 = F233_2854(Current, tr1);
	*(EIF_BOOLEAN *)(Current+ _CHROFF_4_10_) = (EIF_BOOLEAN) tb1;
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.validate_arguments */
void F233_2881 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc7 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc9 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc11 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc12 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_BOOLEAN tb5;
	RTCFDT;
	RTLD;
	
	RTLI(15);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc3);
	RTLR(4,loc8);
	RTLR(5,loc4);
	RTLR(6,loc1);
	RTLR(7,tr2);
	RTLR(8,tr3);
	RTLR(9,loc9);
	RTLR(10,loc10);
	RTLR(11,loc11);
	RTLR(12,loc6);
	RTLR(13,loc12);
	RTLR(14,loc5);
	RTLIU(15);
	
	RTGC;
	loc2 = RTOSCF(2907,F233_2907, (Current));
	tb1 = F727_6182(RTCW(loc2));
	if ((EIF_BOOLEAN) !tb1) {
		loc2 = F233_2884(Current);
		tb1 = F727_6182(RTCW(loc2));
		if (tb1) {
			tr1 = RTOSCF(2925,F233_2925, (Current));
			F233_2887(Current, tr1);
		}
	}
	loc3 = RTOSCF(2908,F233_2908, (Current));
	tb1 = '\0';
	tb2 = F727_6182(RTCW(loc3));
	if ((EIF_BOOLEAN) !tb2) {
		tb2 = F727_6182(RTCV(F233_2837(Current)));
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		F233_2883(Current);
	}
	tb1 = F727_6182(RTCW(loc2));
	if ((EIF_BOOLEAN) !tb1) {
		F234_2940(Current, loc2);
	}
	loc8 = F914_6975(RTCV(RTOSCF(2904,F233_2904, (Current))));
	for (;;) {
		tb1 = F522_5971(loc8);
		if (tb1) break;
		loc7 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
		loc4 = F522_5962(loc8);
		tr1 = *(EIF_REFERENCE *)(RTCW(loc4));
		if (F233_2854(Current, tr1)) {
			tr1 = *(EIF_REFERENCE *)(RTCW(loc4));
			loc1 = F233_2872(Current, tr1);
		} else {
			loc1 = (EIF_REFERENCE) NULL;
		}
		tb2 = '\0';
		tb3 = '\0';
		tb4 = '\0';
		tb5 = *(EIF_BOOLEAN *)(RTCW(loc4)+ _CHROFF_3_0_);
		if ((EIF_BOOLEAN) !tb5) {
			tb4 = (EIF_BOOLEAN)(loc1 == NULL);
		}
		if (tb4) {
			tb4 = F727_6182(RTCW(loc2));
			tb3 = tb4;
		}
		if (tb3) {
			tb3 = F727_6182(RTCW(loc3));
			tb2 = tb3;
		}
		if (tb2) {
			tr1 = RTOSCF(2922,F233_2922, (Current));
			{
				static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1015,1075,0xFFFF};
				EIF_TYPE typres0;
				static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
				
				typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
				tr2 = RTLNTS(typres0.id, 2, 0);
			}
			tr3 = F1017_8018(RTCW(loc4));
			((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
			RTAR(tr2,tr3);
			F233_2888(Current, tr1, tr2);
		} else {
			tb2 = '\0';
			if ((EIF_BOOLEAN)(loc1 != NULL)) {
				tb3 = F727_6182(RTCW(loc1));
				tb2 = (EIF_BOOLEAN) !tb3;
			}
			if (tb2) {
				tb2 = '\0';
				tb3 = *(EIF_BOOLEAN *)(RTCW(loc4)+ _CHROFF_3_1_);
				if ((EIF_BOOLEAN) !tb3) {
					ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R5496[Dtype(RTCW(loc1))-765])(loc1);
					tb2 = (EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 1L));
				}
				if (tb2) {
					tr1 = RTOSCF(2920,F233_2920, (Current));
					{
						static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1015,1075,0xFFFF};
						EIF_TYPE typres0;
						static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
						
						typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
						tr2 = RTLNTS(typres0.id, 2, 0);
					}
					tr3 = F1017_8018(RTCW(loc4));
					((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
					RTAR(tr2,tr3);
					F233_2888(Current, tr1, tr2);
				}
				loc9 = loc4;
				loc9 = RTRV(eif_new_type(1017, 0x00),loc9);
				if ((EIF_BOOLEAN) !EIF_TEST(loc9)) {
					loc10 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5280[Dtype(RTCW(loc1))-473])(loc1);
					for (;;) {
						tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5009[Dtype(loc10)-433])(loc10);
						if (tb2) break;
						tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5008[Dtype(loc10)-433])(loc10);
						tb3 = F43_457(RTCW(tr1));
						if (tb3) {
							tr1 = RTOSCF(2921,F233_2921, (Current));
							{
								static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1015,1075,0xFFFF};
								EIF_TYPE typres0;
								static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
								
								typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
								tr2 = RTLNTS(typres0.id, 2, 0);
							}
							tr3 = F1017_8018(RTCW(loc4));
							((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
							RTAR(tr2,tr3);
							F233_2888(Current, tr1, tr2);
						}
						(FUNCTION_CAST(void, (EIF_REFERENCE)) R5010[Dtype(loc10)-433])(loc10);
					}
				} else {
					tb3 = *(EIF_BOOLEAN *)(loc9);
					if ((EIF_BOOLEAN) !tb3) {
						loc11 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5280[Dtype(RTCW(loc1))-473])(loc1);
						for (;;) {
							tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5009[Dtype(loc11)-433])(loc11);
							if (tb3) break;
							tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5008[Dtype(loc11)-433])(loc11);
							tb4 = F43_457(RTCW(tr1));
							if ((EIF_BOOLEAN) !tb4) {
								tr1 = RTOSCF(2919,F233_2919, (Current));
								{
									static EIF_TYPE_INDEX typarr0[] = {0xFFF9,2,1015,1075,1075,0xFFFF};
									EIF_TYPE typres0;
									static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
									
									typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
									tr2 = RTLNTS(typres0.id, 3, 0);
								}
								tr3 = (RTNA((loc9)), ((EIF_REFERENCE) 0));
								((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
								RTAR(tr2,tr3);
								tr3 = *(EIF_REFERENCE *)(loc9);
								((EIF_TYPED_VALUE *)tr2+2)->it_r = tr3;
								RTAR(tr2,tr3);
								F233_2888(Current, tr1, tr2);
								loc7 = (EIF_BOOLEAN) (EIF_BOOLEAN) 0;
							}
							(FUNCTION_CAST(void, (EIF_REFERENCE)) R5010[Dtype(loc11)-433])(loc11);
						}
						if (loc7) {
							loc6 = (RTNA((loc9)), ((EIF_REFERENCE) 0));
							loc12 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5280[Dtype(RTCW(loc1))-473])(loc1);
							for (;;) {
								tb4 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5009[Dtype(loc12)-433])(loc12);
								if (tb4) break;
								tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5008[Dtype(loc12)-433])(loc12);
								loc5 = F43_455(RTCW(tr1));
								F152_2129(RTCW(loc6), loc5);
								tb5 = *(EIF_BOOLEAN *)(RTCW(loc6)+ _CHROFF_1_0_);
								if ((EIF_BOOLEAN) !tb5) {
									tr1 = RTOSCF(2927,F233_2927, (Current));
									{
										static EIF_TYPE_INDEX typarr0[] = {0xFFF9,3,1015,1076,1075,1075,0xFFFF};
										EIF_TYPE typres0;
										static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
										
										typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
										tr2 = RTLNTS(typres0.id, 4, 0);
									}
									tr3 = F233_2909(Current, loc5);
									((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
									RTAR(tr2,tr3);
									tr3 = F1017_8018(RTCW(loc4));
									((EIF_TYPED_VALUE *)tr2+2)->it_r = tr3;
									RTAR(tr2,tr3);
									tr3 = F152_2125(RTCW(loc6));
									((EIF_TYPED_VALUE *)tr2+3)->it_r = tr3;
									RTAR(tr2,tr3);
									F233_2888(Current, tr1, tr2);
								}
								(FUNCTION_CAST(void, (EIF_REFERENCE)) R5010[Dtype(loc12)-433])(loc12);
							}
						}
					}
				}
			}
		}
		F522_5977(loc8);
	}
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.validate_non_switched_arguments */
void F233_2882 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(7);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,loc1);
	RTLR(3,loc3);
	RTLR(4,tr1);
	RTLR(5,tr2);
	RTLR(6,tr3);
	RTLIU(7);
	
	RTGC;
	loc2 = F233_2836(Current);
	tb1 = F727_6182(RTCW(loc2));
	if ((EIF_BOOLEAN) !tb1) {
		if (*(EIF_BOOLEAN *)(Current+ _CHROFF_4_7_)) {
			loc1 = *(EIF_REFERENCE *)(Current);
			loc3 = F914_6975(RTCW(loc2));
			for (;;) {
				tb1 = F522_5971(loc3);
				if (tb1) break;
				tr1 = F522_5962(loc3);
				F152_2129(RTCW(loc1), tr1);
				tb2 = *(EIF_BOOLEAN *)(RTCW(loc1)+ _CHROFF_1_0_);
				if ((EIF_BOOLEAN) !tb2) {
					tr1 = RTOSCF(2928,F233_2928, (Current));
					{
						static EIF_TYPE_INDEX typarr0[] = {0xFFF9,2,1015,1075,1075,0xFFFF};
						EIF_TYPE typres0;
						static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
						
						typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
						tr2 = RTLNTS(typres0.id, 3, 0);
					}
					tr3 = F522_5962(loc3);
					((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
					RTAR(tr2,tr3);
					tr3 = F152_2125(RTCW(loc1));
					((EIF_TYPED_VALUE *)tr2+2)->it_r = tr3;
					RTAR(tr2,tr3);
					F233_2888(Current, tr1, tr2);
				}
				F522_5977(loc3);
			}
		} else {
			tr1 = RTOSCF(2923,F233_2923, (Current));
			F233_2887(Current, tr1);
		}
	}
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.validate_switch_appurtenances */
void F233_2883 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc5 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	RTCFDT;
	RTLD;
	
	RTLI(9);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,loc6);
	RTLR(3,tr1);
	RTLR(4,loc3);
	RTLR(5,loc7);
	RTLR(6,loc2);
	RTLR(7,tr2);
	RTLR(8,tr3);
	RTLIU(9);
	
	RTGC;
	loc1 = RTOSCF(2908,F233_2908, (Current));
	tr1 = F233_2837(Current);
	loc6 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5280[Dtype(RTCW(tr1))-473])(tr1);
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5009[Dtype(loc6)-433])(loc6);
		if (tb1) break;
		tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5008[Dtype(loc6)-433])(loc6);
		loc3 = *(EIF_REFERENCE *)(RTCW(tr1));
		tb2 = F817_6619(RTCW(loc1), loc3);
		if (tb2) {
			tr1 = F817_6617(RTCW(loc1), loc3);
			loc7 = tr1;
			if (EIF_TEST(loc7)) {
				loc5 = *(EIF_INTEGER_32 *)(loc7+ _LNGOFF_1_1_0_1_);
				loc4 = *(EIF_INTEGER_32 *)(loc7+ _LNGOFF_1_1_0_0_);
				for (;;) {
					if ((EIF_BOOLEAN) (loc5 > loc4)) break;
					loc2 = F844_6787(loc7, loc5);
					tb2 = '\0';
					tb3 = '\0';
					tb4 = *(EIF_BOOLEAN *)(RTCW(loc2)+ _CHROFF_3_0_);
					if ((EIF_BOOLEAN) !tb4) {
						tb4 = *(EIF_BOOLEAN *)(RTCW(loc2)+ _CHROFF_3_3_);
						tb3 = (EIF_BOOLEAN) !tb4;
					}
					if (tb3) {
						tr1 = *(EIF_REFERENCE *)(RTCW(loc2));
						tb2 = (EIF_BOOLEAN) !F233_2854(Current, tr1);
					}
					if (tb2) {
						tr1 = RTOSCF(2926,F233_2926, (Current));
						{
							static EIF_TYPE_INDEX typarr0[] = {0xFFF9,2,1015,1075,1075,0xFFFF};
							EIF_TYPE typres0;
							static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
							
							typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
							tr2 = RTLNTS(typres0.id, 3, 0);
						}
						tr3 = F1017_8018(RTCW(loc3));
						((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
						RTAR(tr2,tr3);
						tr3 = F1017_8018(RTCW(loc2));
						((EIF_TYPED_VALUE *)tr2+2)->it_r = tr3;
						RTAR(tr2,tr3);
						F233_2888(Current, tr1, tr2);
					}
					loc5++;
				}
			} else {
			}
		}
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R5010[Dtype(loc6)-433])(loc6);
	}
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.valid_switch_groups */
EIF_REFERENCE F233_2884 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_BOOLEAN tb5;
	EIF_BOOLEAN tb6;
	EIF_BOOLEAN tb7;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(6);
	RTLR(0,Current);
	RTLR(1,Result);
	RTLR(2,loc2);
	RTLR(3,tr1);
	RTLR(4,loc1);
	RTLR(5,loc3);
	RTLIU(6);
	
	RTGC;
	Result = (EIF_REFERENCE) eif_builtin_ANY_twin__o (F233_2885(Current));
	tr1 = F233_2837(Current);
	loc2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5280[Dtype(RTCW(tr1))-473])(tr1);
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5009[Dtype(loc2)-433])(loc2);
		if (tb1) break;
		tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5008[Dtype(loc2)-433])(loc2);
		loc1 = *(EIF_REFERENCE *)(RTCW(tr1));
		F914_6992(RTCW(Result));
		for (;;) {
			tb2 = '\01';
			tb3 = F727_6182(RTCW(Result));
			if (!tb3) {
				tb3 = F885_6880(RTCW(Result));
				tb2 = tb3;
			}
			if (tb2) break;
			tb3 = '\0';
			tb4 = *(EIF_BOOLEAN *)(RTCW(loc1)+ _CHROFF_3_3_);
			if ((EIF_BOOLEAN) !tb4) {
				tr1 = F914_6966(RTCW(Result));
				tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
				tb4 = F914_6973(RTCW(tr1), loc1);
				tb3 = (EIF_BOOLEAN) !tb4;
			}
			if (tb3) {
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R5438[Dtype(RTCW(Result))-765])(Result);
			} else {
				F914_6994(RTCW(Result));
			}
		}
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R5010[Dtype(loc2)-433])(loc2);
	}
	F914_6992(RTCW(Result));
	for (;;) {
		tb3 = F885_6880(RTCW(Result));
		if (tb3) break;
		tr1 = F914_6966(RTCW(Result));
		tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
		loc3 = F914_6975(RTCW(tr1));
		tb4 = EIF_TRUE;
		for (;;) {
			if (!tb4) break;
			tb5 = F522_5971(loc3);
			if (tb5) break;
			tb6 = '\01';
			tr1 = F522_5962(loc3);
			tb7 = *(EIF_BOOLEAN *)(RTCW(tr1)+ _CHROFF_3_0_);
			if (!tb7) {
				tr1 = F522_5962(loc3);
				tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
				tb6 = F233_2854(Current, tr1);
			}
			tb4 = tb6;
			F522_5977(loc3);
		}
		if (tb4) {
			F914_6994(RTCW(Result));
		} else {
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R5438[Dtype(RTCW(Result))-765])(Result);
		}
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.expanded_switch_groups */
EIF_REFERENCE F233_2885 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(5);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,Result);
	RTLR(3,loc2);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTGC;
	loc1 = RTOSCF(2907,F233_2907, (Current));
	{
		static EIF_TYPE_INDEX typarr0[] = {913,26,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		Result = RTLNS(typres0.id, 913, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	ti4_1 = F914_6982(RTCW(loc1));
	F914_6961(RTCW(Result), ti4_1);
	tr1 = F914_6975(RTCW(loc1));
	loc2 = (EIF_REFERENCE) tr1;
	for (;;) {
		tb1 = F522_5971(loc2);
		if (tb1) break;
		tr1 = F522_5962(loc2);
		tr1 = F233_2886(Current, tr1);
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(Result))-724])(Result, tr1);
		F522_5977(loc2);
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.expand_switch_group */
EIF_REFERENCE F233_2886 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(9);
	RTLR(0,loc1);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,loc2);
	RTLR(4,Current);
	RTLR(5,loc3);
	RTLR(6,loc4);
	RTLR(7,loc5);
	RTLR(8,Result);
	RTLIU(9);
	
	RTGC;
	tr1 = *(EIF_REFERENCE *)(RTCW(arg1));
	loc1 = (EIF_REFERENCE) eif_builtin_ANY_twin__o (tr1);
	loc2 = RTOSCF(2908,F233_2908, (Current));
	tb1 = F727_6182(RTCW(loc2));
	if ((EIF_BOOLEAN) !tb1) {
		F914_6992(RTCW(loc1));
		for (;;) {
			tb1 = F885_6880(RTCW(loc1));
			if (tb1) break;
			loc3 = F914_6966(RTCW(loc1));
			tr1 = F817_6617(RTCW(loc2), loc3);
			loc4 = tr1;
			if (EIF_TEST(loc4)) {
				loc5 = F844_6791(loc4);
				for (;;) {
					tb2 = F522_5971(loc5);
					if (tb2) break;
					loc3 = F522_5962(loc5);
					tb3 = F914_6973(RTCW(loc1), loc3);
					if ((EIF_BOOLEAN) !tb3) {
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(loc1))-724])(loc1, loc3);
					}
					F522_5977(loc5);
				}
			}
			F914_6994(RTCW(loc1));
		}
	}
	tb3 = *(EIF_BOOLEAN *)(RTCW(arg1)+ _CHROFF_1_0_);
	if (tb3) {
		Result = RTLNS(eif_new_type(26, 0x00).id, 26, _OBJSIZ_1_2_0_0_0_0_0_0_);
		tb3 = *(EIF_BOOLEAN *)(RTCW(arg1)+ _CHROFF_1_1_);
		F27_238(RTCW(Result), loc1, tb3);
	} else {
		Result = RTLNS(eif_new_type(26, 0x00).id, 26, _OBJSIZ_1_2_0_0_0_0_0_0_);
		tb3 = *(EIF_BOOLEAN *)(RTCW(arg1)+ _CHROFF_1_1_);
		F27_239(RTCW(Result), loc1, tb3);
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.add_error */
void F233_2887 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg1);
	RTLIU(3);
	
	RTGC;
	tr1 = RTOSCF(2838,F233_2838, (Current));
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(tr1))-724])(tr1, arg1);
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.add_template_error */
void F233_2888 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(4);
	RTLR(0,tr1);
	RTLR(1,arg1);
	RTLR(2,arg2);
	RTLR(3,Current);
	RTLIU(4);
	
	RTGC;
	tr1 = RTLNS(eif_new_type(1234, 0x00).id, 1234, _OBJSIZ_0_0_0_0_0_0_0_0_);
	tr1 = F1235_10630(RTCW(tr1), arg1, arg2);
	F233_2887(Current, tr1);
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.display_usage */
void F233_2889 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(10);
	RTLR(0,loc5);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,loc3);
	RTLR(5,loc1);
	RTLR(6,loc6);
	RTLR(7,loc4);
	RTLR(8,tr3);
	RTLR(9,loc2);
	RTLIU(10);
	
	RTGC;
	tb1 = '\0';
	{
		/* INLINED CODE (ARGUMENT_BASE_PARSER.sub_system_name) */
		tr1 = (EIF_REFERENCE)  0;
		/* END INLINED CODE */
	}
	tr2 = tr1;
	loc5 = tr2;
	if (EIF_TEST(loc5)) {
		tb2 = F1076_8609(loc5);
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		loc3 = RTLNSMART(eif_new_type(1075, 0).id);
		tr1 = F233_2839(Current);
		tr2 = F1067_8298(RTMS_EX_H(" ",1,32));
		tr1 = F1076_8601(RTCW(tr1), tr2);
		tr1 = F1076_8601(RTCW(tr1), loc5);
		F1075_8540(RTCW(loc3), tr1);
	} else {
		loc3 = F233_2839(Current);
	}
	tr1 = RTOSCF(24,F1_24, (Current));
	tr2 = F1067_8298(RTMS_EX_H("USAGE: \012",8,135033354));
	F83_1223(RTCW(tr1), tr2);
	loc1 = RTOSCF(2897,F233_2897, (Current));
	tb1 = F727_6182(RTCW(loc1));
	if ((EIF_BOOLEAN) !tb1) {
		loc6 = F914_6975(RTCW(loc1));
		for (;;) {
			tb1 = F522_5971(loc6);
			if (tb1) break;
			tr1 = RTOSCF(24,F1_24, (Current));
			tr2 = RTOSCF(2915,F233_2915, (Current));
			F83_1223(RTCW(tr1), tr2);
			tr1 = RTOSCF(24,F1_24, (Current));
			F83_1223(RTCW(tr1), loc3);
			tr1 = RTOSCF(24,F1_24, (Current));
			tr2 = F1067_8298(RTMS_EX_H(" ",1,32));
			F83_1223(RTCW(tr1), tr2);
			loc4 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
			tr1 = F522_5962(loc6);
			F1075_8540(RTCW(loc4), tr1);
			tr1 = RTMS32_EX_H("\012\000\000\000",1,10);
			tr2 = RTMS32_EX_H("\012\000\000\000",1,10);
			tr3 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc3)+ _LNGOFF_1_0_0_2_);
			F1075_8539(RTCW(tr3), tw1, (EIF_INTEGER_32) (ti4_1 + ((EIF_INTEGER_32) 1L)));
			tr2 = F1077_8672(tr2, tr3);
			F1077_8630(RTCW(loc4), tr1, tr2);
			tr1 = RTOSCF(24,F1_24, (Current));
			F83_1223(RTCW(tr1), loc4);
			tb2 = F522_5975(loc6);
			if ((EIF_BOOLEAN) !tb2) {
				F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
			}
			F522_5977(loc6);
		}
	} else {
		tr1 = RTOSCF(24,F1_24, (Current));
		tr2 = RTOSCF(2915,F233_2915, (Current));
		F83_1223(RTCW(tr1), tr2);
		tr1 = RTOSCF(24,F1_24, (Current));
		F83_1223(RTCW(tr1), loc3);
	}
	if (F233_2864(Current)) {
		F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
		F233_2893(Current);
	}
	loc2 = RTOSCF(2939,F234_2939, (Current));
	tb2 = F1076_8609(RTCW(loc2));
	if ((EIF_BOOLEAN) !tb2) {
		F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
		tr1 = RTOSCF(24,F1_24, (Current));
		F83_1223(RTCW(tr1), loc2);
	}
	F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.display_logo */
void F233_2890 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTGC;
	tr1 = RTOSCF(24,F1_24, (Current));
	tr2 = F1067_8298(RTCV(RTOSCF(2952,F236_2952, (Current))));
	F83_1223(RTCW(tr1), tr2);
	tr1 = RTOSCF(24,F1_24, (Current));
	tr2 = F1067_8298(RTMS_EX_H(" - Version: ",12,1246374688));
	F83_1223(RTCW(tr1), tr2);
	tr1 = RTOSCF(24,F1_24, (Current));
	tr2 = F1067_8298(RTCV(RTOSCF(2956,F236_2956, (Current))));
	F83_1223(RTCW(tr1), tr2);
	tr1 = RTOSCF(2951,F236_2951, (Current));
	tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R7023[Dtype(RTCW(tr1))-1070])(tr1);
	if ((EIF_BOOLEAN) !tb1) {
		F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
		tr1 = RTOSCF(24,F1_24, (Current));
		tr2 = F1067_8298(RTCV(RTOSCF(2951,F236_2951, (Current))));
		F83_1223(RTCW(tr1), tr2);
	}
	F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
	F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.display_version */
void F233_2891 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTGC;
	tr1 = RTOSCF(24,F1_24, (Current));
	tr2 = F1067_8298(RTCV(RTOSCF(2952,F236_2952, (Current))));
	F83_1223(RTCW(tr1), tr2);
	tr1 = RTOSCF(24,F1_24, (Current));
	tr2 = F1067_8298(RTMS_EX_H(" version ",9,1056519968));
	F83_1223(RTCW(tr1), tr2);
	tr1 = RTOSCF(24,F1_24, (Current));
	tr2 = F1067_8298(RTCV(RTOSCF(2956,F236_2956, (Current))));
	F83_1223(RTCW(tr1), tr2);
	tr1 = RTOSCF(2951,F236_2951, (Current));
	tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R7023[Dtype(RTCW(tr1))-1070])(tr1);
	if ((EIF_BOOLEAN) !tb1) {
		F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
		tr1 = RTOSCF(24,F1_24, (Current));
		tr2 = F1067_8298(RTCV(RTOSCF(2951,F236_2951, (Current))));
		F83_1223(RTCW(tr1), tr2);
	}
	F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.display_errors */
void F233_2892 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_NATURAL_8 tu1_1;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLR(5,tr4);
	RTLR(6,loc2);
	RTLIU(7);
	
	RTGC;
	loc1 = RTOSCF(2838,F233_2838, (Current));
	tr1 = RTOSCF(1192,F83_1192, (RTCV(RTOSCF(24,F1_24, (Current)))));
	tr2 = RTOSCF(2876,F233_2876, (Current));
	tr3 = RTMS_EX_H("{1} error(s) occurred.\012",23,2016916746);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1015,1206,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr4 = RTLNTS(typres0.id, 2, 1);
	}
	ti4_1 = F914_6982(RTCW(loc1));
	((EIF_TYPED_VALUE *)tr4+1)->it_i4 = ti4_1;
	tr2 = F1235_10630(RTCW(tr2), tr3, tr4);
	F795_6549(RTCW(tr1), tr2);
	tr1 = F914_6975(RTCW(loc1));
	loc2 = (EIF_REFERENCE) tr1;
	for (;;) {
		tb1 = F522_5971(loc2);
		if (tb1) break;
		tr1 = RTOSCF(1192,F83_1192, (RTCV(RTOSCF(24,F1_24, (Current)))));
		tr2 = RTOSCF(2915,F233_2915, (Current));
		F795_6549(RTCW(tr1), tr2);
		tr1 = RTOSCF(1192,F83_1192, (RTCV(RTOSCF(24,F1_24, (Current)))));
		tr2 = F1067_8298(RTMS_EX_H("> ",2,15904));
		F795_6549(RTCW(tr1), tr2);
		tr1 = RTOSCF(1192,F83_1192, (RTCV(RTOSCF(24,F1_24, (Current)))));
		tr2 = F522_5962(loc2);
		ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(2915,F233_2915, (Current)))+ _LNGOFF_1_0_0_2_);
		tu1_1 = (EIF_NATURAL_8) ti4_1;
		tr2 = F233_2899(Current, tr2, (EIF_NATURAL_8) (tu1_1 + (EIF_NATURAL_8) ((EIF_INTEGER_32) 2L)));
		F795_6549(RTCW(tr1), tr2);
		tr1 = RTOSCF(1192,F83_1192, (RTCV(RTOSCF(24,F1_24, (Current)))));
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R4934[Dtype(RTCW(tr1))-793])(tr1);
		F522_5977(loc2);
	}
	tr1 = RTOSCF(1192,F83_1192, (RTCV(RTOSCF(24,F1_24, (Current)))));
	(FUNCTION_CAST(void, (EIF_REFERENCE)) R4934[Dtype(RTCW(tr1))-793])(tr1);
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.display_options */
void F233_2893 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc8 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc9 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc10 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc11 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc12 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc13 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc14 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc15 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc16 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 loc17 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc18 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc19 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc20 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc21 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc22 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc23 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc24 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_CHARACTER_32 tw1;
	EIF_NATURAL_8 tu1_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_BOOLEAN tb5;
	RTCFDT;
	RTLD;
	
	RTLI(22);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLR(3,loc7);
	RTLR(4,loc1);
	RTLR(5,loc3);
	RTLR(6,loc2);
	RTLR(7,loc4);
	RTLR(8,loc19);
	RTLR(9,loc5);
	RTLR(10,loc20);
	RTLR(11,loc21);
	RTLR(12,loc11);
	RTLR(13,loc10);
	RTLR(14,loc12);
	RTLR(15,loc22);
	RTLR(16,loc13);
	RTLR(17,loc15);
	RTLR(18,loc23);
	RTLR(19,loc24);
	RTLR(20,loc6);
	RTLR(21,loc14);
	RTLIU(22);
	
	RTGC;
	tr1 = RTOSCF(24,F1_24, (Current));
	tr2 = F1067_8298(RTMS_EX_H("\012OPTIONS:\012",10,1841635338));
	F83_1223(RTCW(tr1), tr2);
	{
		static EIF_TYPE_INDEX typarr0[] = {913,1017,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		loc7 = RTLNS(typres0.id, 913, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	F914_6961(RTCW(loc7), ((EIF_INTEGER_32) 0L));
	loc1 = RTOSCF(2912,F233_2912, (Current));
	loc3 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
	F1075_8538(RTCW(loc3), ((EIF_INTEGER_32) 1L));
	tw1 = F848_6787(RTCW(loc1), ((EIF_INTEGER_32) 1L));
	F1077_8666(RTCW(loc3), tw1);
	ti4_1 = F848_6794(RTCW(loc1));
	if ((EIF_BOOLEAN) (ti4_1 > ((EIF_INTEGER_32) 1L))) {
		loc2 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
		ti4_1 = F848_6794(RTCW(loc1));
		F1075_8538(RTCW(loc2), (EIF_INTEGER_32) ((EIF_INTEGER_32) (ti4_1 * ((EIF_INTEGER_32) 5L)) + ((EIF_INTEGER_32) 2L)));
		loc18 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_1_1_0_1_);
		loc17 = *(EIF_INTEGER_32 *)(RTCW(loc1)+ _LNGOFF_1_1_0_0_);
		for (;;) {
			if ((EIF_BOOLEAN) (loc18 > loc17)) break;
			if ((EIF_BOOLEAN) (loc18 > ((EIF_INTEGER_32) 1L))) {
				if ((EIF_BOOLEAN) (loc18 < loc17)) {
					tr1 = RTMS_EX_H(", ",2,11296);
					F1077_8652(RTCW(loc2), tr1);
				} else {
					tr1 = RTMS_EX_H(" or ",4,544174624);
					F1077_8652(RTCW(loc2), tr1);
				}
			}
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\'';
			F1077_8666(RTCW(loc2), tw1);
			tw1 = F848_6787(RTCW(loc1), loc18);
			F1077_8666(RTCW(loc2), tw1);
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\'';
			F1077_8666(RTCW(loc2), tw1);
			loc18++;
		}
		tr1 = RTOSCF(24,F1_24, (Current));
		tr2 = RTOSCF(2915,F233_2915, (Current));
		F83_1223(RTCW(tr1), tr2);
		tr1 = RTOSCF(24,F1_24, (Current));
		tr2 = F1067_8298(RTMS_EX_H("Options ",8,506073632));
		F83_1223(RTCW(tr1), tr2);
		if (*(EIF_BOOLEAN *)(Current+ _CHROFF_4_5_)) {
			tr1 = RTOSCF(24,F1_24, (Current));
			tr2 = F1067_8298(RTMS_EX_H("are case-sensitive and ",23,1259914016));
			F83_1223(RTCW(tr1), tr2);
		}
		tr1 = RTOSCF(24,F1_24, (Current));
		tr2 = F1067_8298(RTMS_EX_H("should be prefixed with: ",25,889669920));
		F83_1223(RTCW(tr1), tr2);
		tr1 = RTOSCF(24,F1_24, (Current));
		F83_1223(RTCW(tr1), loc2);
		F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
		F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
	}
	loc4 = RTOSCF(2905,F233_2905, (Current));
	loc19 = F914_6975(RTCW(loc4));
	for (;;) {
		tb1 = F522_5971(loc19);
		if (tb1) break;
		loc5 = F522_5962(loc19);
		tb2 = *(EIF_BOOLEAN *)(RTCW(loc5)+ _CHROFF_3_2_);
		if ((EIF_BOOLEAN) !tb2) {
			tb2 = '\01';
			if (!RTOSCF(2862,F233_2862, (Current))) {
				tb3 = F1017_8027(RTCW(loc5));
				tb2 = tb3;
			}
			if (tb2) {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc5) + _REFACS_1_);
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(tr1)+ _LNGOFF_1_0_0_2_);
				ti4_1 = eif_max_int32 (loc9,(EIF_INTEGER_32) (ti4_1 + ((EIF_INTEGER_32) 5L)));
				loc9 = (EIF_INTEGER_32) ti4_1;
			} else {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc5) + _REFACS_1_);
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(tr1)+ _LNGOFF_1_0_0_2_);
				ti4_1 = eif_max_int32 (loc9,(EIF_INTEGER_32) (ti4_1 + ((EIF_INTEGER_32) 1L)));
				loc9 = (EIF_INTEGER_32) ti4_1;
			}
		}
		F522_5977(loc19);
	}
	loc16 = *(EIF_BOOLEAN *)(Current+ _CHROFF_4_1_);
	loc20 = F914_6975(RTCW(loc4));
	for (;;) {
		tb2 = F522_5971(loc20);
		if (tb2) break;
		loc5 = F522_5962(loc20);
		loc21 = loc5;
		loc21 = RTRV(eif_new_type(1017, 0x00),loc21);
		if (EIF_TEST(loc21)) {
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(loc7))-724])(loc7, loc21);
		}
		tb3 = F1017_8027(RTCW(loc5));
		if (tb3) {
			loc11 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
			F1075_8538(RTCW(loc11), ((EIF_INTEGER_32) 20L));
			F1077_8653(RTCW(loc11), loc3);
			tw1 = *(EIF_CHARACTER_32 *)(RTCW(loc5)+ _LNGOFF_3_4_0_0_);
			F1077_8666(RTCW(loc11), tw1);
			tr1 = RTMS_EX_H(" ",1,32);
			F1077_8652(RTCW(loc11), tr1);
			if (RTOSCF(2862,F233_2862, (Current))) {
				F1077_8653(RTCW(loc11), loc3);
			}
			F1077_8653(RTCW(loc11), loc3);
			tr1 = *(EIF_REFERENCE *)(RTCW(loc5) + _REFACS_1_);
			F1077_8653(RTCW(loc11), tr1);
		} else {
			if (RTOSCF(2862,F233_2862, (Current))) {
				tr1 = RTMS32_EX_H(" \000\000\000 \000\000\000 \000\000\000",3,2105376);
				tr1 = F1077_8672(tr1, loc3);
				tr1 = F1077_8672(RTCW(tr1), loc3);
				tr2 = *(EIF_REFERENCE *)(RTCW(loc5) + _REFACS_1_);
				loc11 = F1077_8672(RTCW(tr1), tr2);
			} else {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc5) + _REFACS_1_);
				loc11 = F1077_8672(RTCW(loc3), tr1);
			}
		}
		ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc11)+ _LNGOFF_1_1_0_2_);
		if ((EIF_BOOLEAN) (loc9 > ti4_1)) {
			loc10 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc11)+ _LNGOFF_1_1_0_2_);
			F1075_8539(RTCW(loc10), tw1, (EIF_INTEGER_32) (loc9 - ti4_1));
		} else {
			loc10 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
			F1067_8239(RTCW(loc10));
		}
		F1077_8670(RTCW(loc10), loc11, ((EIF_INTEGER_32) 1L));
		loc12 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
		F1075_8538(RTCW(loc12), ((EIF_INTEGER_32) 256L));
		tr1 = *(EIF_REFERENCE *)(RTCW(loc5) + _REFACS_2_);
		F1077_8653(RTCW(loc12), tr1);
		tb3 = *(EIF_BOOLEAN *)(RTCW(loc5)+ _CHROFF_3_0_);
		if (tb3) {
			tr1 = RTMS_EX_H(" (Optional)",11,1464035113);
			F1077_8652(RTCW(loc12), tr1);
		}
		loc8 = *(EIF_INTEGER_32 *)(RTCW(loc10)+ _LNGOFF_1_1_0_2_);
		ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(2915,F233_2915, (Current)))+ _LNGOFF_1_0_0_2_);
		loc8 = (EIF_INTEGER_32) (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc8 + ti4_1) + ((EIF_INTEGER_32) 2L));
		tu1_1 = (EIF_NATURAL_8) loc8;
		tr1 = F233_2899(Current, loc12, tu1_1);
		loc12 = (EIF_REFERENCE) tr1;
		loc22 = loc5;
		loc22 = RTRV(eif_new_type(1017, 0x00),loc22);
		if ((EIF_BOOLEAN) (loc16 && EIF_TEST(loc22))) {
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\012';
			F1077_8666(RTCW(loc12), tw1);
			tr1 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
			F1075_8539(RTCW(tr1), tw1, loc8);
			F1077_8653(RTCW(loc12), tr1);
			tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '<';
			F1077_8666(RTCW(loc12), tw1);
			tr1 = *(EIF_REFERENCE *)(loc22);
			F1077_8653(RTCW(loc12), tr1);
			tr1 = RTMS_EX_H(">: ",3,4078112);
			F1077_8652(RTCW(loc12), tr1);
			loc13 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
			F1075_8538(RTCW(loc13), ((EIF_INTEGER_32) 32L));
			tb3 = *(EIF_BOOLEAN *)(loc22);
			if (tb3) {
				tr1 = RTMS_EX_H("(Optional) ",11,342873376);
				F1077_8652(RTCW(loc13), tr1);
			}
			tr1 = *(EIF_REFERENCE *)(loc22);
			F1077_8653(RTCW(loc13), tr1);
			tr1 = *(EIF_REFERENCE *)(loc22);
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(tr1)+ _LNGOFF_1_0_0_2_);
			tu1_1 = (EIF_NATURAL_8) (EIF_INTEGER_32) ((EIF_INTEGER_32) (loc8 + ti4_1) + ((EIF_INTEGER_32) 4L));
			tr1 = F233_2899(Current, loc13, tu1_1);
			loc13 = (EIF_REFERENCE) tr1;
			F1077_8653(RTCW(loc12), loc13);
		}
		tr1 = RTOSCF(24,F1_24, (Current));
		tr2 = RTOSCF(2915,F233_2915, (Current));
		F83_1223(RTCW(tr1), tr2);
		tr1 = RTOSCF(24,F1_24, (Current));
		F83_1223(RTCW(tr1), loc10);
		tr1 = RTOSCF(24,F1_24, (Current));
		tr2 = F1067_8298(RTMS_EX_H(": ",2,14880));
		F83_1223(RTCW(tr1), tr2);
		tr1 = RTOSCF(24,F1_24, (Current));
		F83_1223(RTCW(tr1), loc12);
		F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
		F522_5977(loc20);
	}
	tb3 = '\0';
	if ((EIF_BOOLEAN) !loc16) {
		tb4 = F727_6182(RTCW(loc7));
		tb3 = (EIF_BOOLEAN) !tb4;
	}
	if (tb3) {
		tr1 = RTOSCF(24,F1_24, (Current));
		tr2 = F1067_8298(RTMS_EX_H("\012ARGUMENTS:\012",12,1590959370));
		F83_1223(RTCW(tr1), tr2);
		{
			static EIF_TYPE_INDEX typarr0[] = {829,1026,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			loc15 = RTLNS(typres0.id, 829, _OBJSIZ_5_6_0_7_0_0_0_0_);
		}
		ti4_1 = F914_6982(RTCW(loc7));
		F823_6611(RTCW(loc15), ti4_1);
		loc9 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
		loc23 = F914_6975(RTCW(loc7));
		for (;;) {
			tb3 = F522_5971(loc23);
			if (tb3) break;
			tr1 = F522_5962(loc23);
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			ti4_1 = *(EIF_INTEGER_32 *)(RTCW(tr1)+ _LNGOFF_1_0_0_2_);
			ti4_1 = eif_max_int32 (loc9,ti4_1);
			loc9 = (EIF_INTEGER_32) ti4_1;
			F522_5977(loc23);
		}
		loc24 = F914_6975(RTCW(loc7));
		for (;;) {
			tb4 = F522_5971(loc24);
			if (tb4) break;
			loc6 = F522_5962(loc24);
			loc14 = *(EIF_REFERENCE *)(RTCW(loc6));
			tb5 = F823_6619(RTCW(loc15), loc14);
			if ((EIF_BOOLEAN) !tb5) {
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc14)+ _LNGOFF_1_0_0_2_);
				if ((EIF_BOOLEAN) (loc9 > ti4_1)) {
					loc10 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
					tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
					ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc14)+ _LNGOFF_1_0_0_2_);
					F1075_8539(RTCW(loc10), tw1, (EIF_INTEGER_32) (loc9 - ti4_1));
				} else {
					loc10 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
					F1067_8239(RTCW(loc10));
				}
				tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '<';
				F1077_8671(RTCW(loc10), tw1, ((EIF_INTEGER_32) 1L));
				F1077_8670(RTCW(loc10), loc14, ((EIF_INTEGER_32) 2L));
				tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '>';
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc14)+ _LNGOFF_1_0_0_2_);
				F1077_8671(RTCW(loc10), tw1, (EIF_INTEGER_32) (ti4_1 + ((EIF_INTEGER_32) 2L)));
				tr1 = *(EIF_REFERENCE *)(RTCW(loc6));
				ti4_1 = *(EIF_INTEGER_32 *)(RTCW(loc14)+ _LNGOFF_1_0_0_2_);
				ti4_2 = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(2915,F233_2915, (Current)))+ _LNGOFF_1_0_0_2_);
				tu1_1 = (EIF_NATURAL_8) (EIF_INTEGER_32) ((EIF_INTEGER_32) (ti4_1 + ti4_2) + ((EIF_INTEGER_32) 4L));
				loc12 = F233_2899(Current, tr1, tu1_1);
				tr1 = RTOSCF(24,F1_24, (Current));
				tr2 = RTOSCF(2915,F233_2915, (Current));
				F83_1223(RTCW(tr1), tr2);
				tr1 = RTOSCF(24,F1_24, (Current));
				F83_1223(RTCW(tr1), loc10);
				tr1 = RTOSCF(24,F1_24, (Current));
				tr2 = F1067_8298(RTMS_EX_H(": ",2,14880));
				F83_1223(RTCW(tr1), tr2);
				tr1 = RTOSCF(24,F1_24, (Current));
				F83_1223(RTCW(tr1), loc12);
				F83_1244(RTCV(RTOSCF(24,F1_24, (Current))));
				F823_6657(RTCW(loc15), (EIF_BOOLEAN) 1, loc14);
			}
			F522_5977(loc24);
		}
	}
	RTLE;
}

/* {ARGUMENT_BASE_PARSER}.command_option_configurations */
static EIF_REFERENCE F233_2897_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc6 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	RTCFDD;
	RTLD;
	
	dftype = Dftype(Current);

	RTLI(11);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,loc1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLR(5,tr4);
	RTLR(6,loc4);
	RTLR(7,loc3);
	RTLR(8,loc7);
	RTLR(9,loc2);
	RTLR(10,loc5);
	RTLIU(11);
	
	RTEV;
	RTGC;
	RTOSP (2897);
#define Result RTOSR(2897)
	RTOC_NEW(Result);
	{
		static EIF_TYPE_INDEX typarr0[] = {913,1075,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr1 = RTLNS(typres0.id, 913, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	F914_6961(RTCW(tr1), ((EIF_INTEGER_32) 10L));
	Result = (EIF_REFERENCE) tr1;
	F573_6030(RTCW(Result));
	loc1 = RTOSCF(2907,F233_2907, (Current));
	loc6 = F727_6182(RTCW(loc1));
	if ((EIF_BOOLEAN) !loc6) {
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1015,0,0xFFFF};
			EIF_TYPE typres0;
			typarr0[3] = dftype;
			
			typres0 = eif_compound_id(dftype, typarr0);
			tr1 = RTLNTS(typres0.id, 2, 0);
		}
		((EIF_TYPED_VALUE *)tr1+1)->it_r = Current;
		RTAR(tr1,Current);
		
		{
			static EIF_TYPE_INDEX typarr0[] = {1065,0xFFF9,1,1015,26,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr4= RTLNRF(typres0.id, (EIF_POINTER) __A187_132_2, (EIF_POINTER) _A187_132_2, 0, tr1, 0, 1);
		}
		loc6 = F914_6979(RTCW(loc1), tr4);
	}
	if (loc6) {
		loc4 = RTOSCF(2905,F233_2905, (Current));
		loc3 = F235_2943(Current, loc4, *(EIF_BOOLEAN *)(Current+ _CHROFF_4_7_), *(EIF_BOOLEAN *)(Current+ _CHROFF_4_8_), (EIF_BOOLEAN) 1, loc4);
		tb1 = F732_6182(RTCW(loc3));
		if ((EIF_BOOLEAN) !tb1) {
			tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
			F1076_8593(RTCW(tr1), loc3);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(Result))-724])(Result, tr1);
		}
	} else {
		F914_7010(RTCW(Result), ((EIF_INTEGER_32) 1024L));
		tr1 = F914_6975(RTCW(loc1));
		loc7 = (EIF_REFERENCE) tr1;
		for (;;) {
			tb1 = F522_5971(loc7);
			if (tb1) break;
			loc2 = F522_5962(loc7);
			tb2 = *(EIF_BOOLEAN *)(RTCW(loc2)+ _CHROFF_1_0_);
			if ((EIF_BOOLEAN) !tb2) {
				loc4 = *(EIF_REFERENCE *)(RTCW(loc2));
				tr1 = RTOSCF(2901,F233_2901, (Current));
				if (F233_2866(Current, tr1)) {
					tr1 = RTOSCF(2901,F233_2901, (Current));
					loc5 = F233_2875(Current, tr1);
					tb2 = F914_6973(RTCW(loc4), loc5);
					if ((EIF_BOOLEAN) !tb2) {
						(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(loc4))-724])(loc4, loc5);
					}
				}
				tb2 = '\0';
				if (*(EIF_BOOLEAN *)(Current+ _CHROFF_4_7_)) {
					tb3 = *(EIF_BOOLEAN *)(RTCW(loc2)+ _CHROFF_1_1_);
					tb2 = tb3;
				}
				loc3 = F235_2943(Current, loc4, tb2, (EIF_BOOLEAN) 1, (EIF_BOOLEAN) 1, loc4);
				tb2 = '\0';
				tb3 = F732_6182(RTCW(loc3));
				if ((EIF_BOOLEAN) !tb3) {
					tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
					F1076_8593(RTCW(tr1), loc3);
					tb3 = F914_6973(RTCW(Result), tr1);
					tb2 = (EIF_BOOLEAN) !tb3;
				}
				if (tb2) {
					tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
					F1076_8593(RTCW(tr1), loc3);
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(Result))-724])(Result, tr1);
				}
			}
			F522_5977(loc7);
		}
	}
	RTOSE (2897);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2897 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2897,F233_2897_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.command_option_group_configuration */
EIF_REFERENCE F233_2898 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_BOOLEAN arg2, EIF_BOOLEAN arg3, EIF_BOOLEAN arg4, EIF_REFERENCE arg5)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN loc3 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc4 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc5 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc7 = (EIF_REFERENCE) 0;
	EIF_CHARACTER_32 loc8 = (EIF_CHARACTER_32) 0;
	EIF_BOOLEAN loc9 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc10 = (EIF_BOOLEAN) 0;
	EIF_BOOLEAN loc11 = (EIF_BOOLEAN) 0;
	EIF_INTEGER_32 loc12 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc13 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc14 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc15 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc16 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc17 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_CHARACTER_32 tw1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(14);
	RTLR(0,arg1);
	RTLR(1,loc1);
	RTLR(2,Current);
	RTLR(3,tr1);
	RTLR(4,Result);
	RTLR(5,loc14);
	RTLR(6,loc6);
	RTLR(7,tr2);
	RTLR(8,arg5);
	RTLR(9,loc15);
	RTLR(10,loc16);
	RTLR(11,loc2);
	RTLR(12,loc17);
	RTLR(13,loc7);
	RTLIU(14);
	
	RTGC;
	tb1 = F727_6182(RTCW(arg1));
	if ((EIF_BOOLEAN) !tb1) {
		loc1 = RTOSCF(2908,F233_2908, (Current));
		tr1 = RTOSCF(2912,F233_2912, (Current));
		loc8 = F848_6787(RTCW(tr1), ((EIF_INTEGER_32) 1L));
		loc3 = *(EIF_BOOLEAN *)(Current+ _CHROFF_4_0_);
		loc4 = *(EIF_BOOLEAN *)(Current+ _CHROFF_4_2_);
		loc5 = RTOSCF(2862,F233_2862, (Current));
		Result = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
		ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R5496[Dtype(RTCW(arg1))-765])(arg1);
		F1075_8538(RTCW(Result), (EIF_INTEGER_32) (ti4_1 * ((EIF_INTEGER_32) 12L)));
		loc14 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5280[Dtype(RTCW(arg1))-473])(arg1);
		for (;;) {
			tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5009[Dtype(loc14)-433])(loc14);
			if (tb1) break;
			loc6 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5008[Dtype(loc14)-433])(loc14);
			loc9 = *(EIF_BOOLEAN *)(RTCW(loc6)+ _CHROFF_3_0_);
			tb2 = '\0';
			tr1 = *(EIF_REFERENCE *)(RTCW(loc6));
			tr2 = RTOSCF(2902,F233_2902, (Current));
			tb3 = F1075_8565(RTCW(tr1), tr2);
			if ((EIF_BOOLEAN) !tb3) {
				tb3 = *(EIF_BOOLEAN *)(RTCW(loc6)+ _CHROFF_3_2_);
				tb2 = (EIF_BOOLEAN) !tb3;
			}
			if (tb2) {
				loc11 = '\01';
				if ((EIF_BOOLEAN) !arg4) {
					tb2 = '\01';
					tb3 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_REFERENCE)) R5389[Dtype(RTCW(arg5))-724])(arg5, loc6);
					if (!(EIF_BOOLEAN) !tb3) {
						tb3 = *(EIF_BOOLEAN *)(RTCW(loc6)+ _CHROFF_3_0_);
						tb2 = tb3;
					}
					loc11 = tb2;
				}
				if (loc11) {
					if (loc9) {
						tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '[';
						F1077_8666(RTCW(Result), tw1);
					}
					F1077_8666(RTCW(Result), loc8);
					if (loc4) {
						if (loc5) {
							F1077_8666(RTCW(Result), loc8);
						}
						tr1 = *(EIF_REFERENCE *)(RTCW(loc6) + _REFACS_1_);
						F1077_8653(RTCW(Result), tr1);
					} else {
						tb2 = '\0';
						if (loc5) {
							tb3 = F1017_8027(RTCW(loc6));
							tb2 = (EIF_BOOLEAN) !tb3;
						}
						if (tb2) {
							F1077_8666(RTCW(Result), loc8);
						}
						tr1 = F1017_8018(RTCW(loc6));
						F1077_8653(RTCW(Result), tr1);
					}
					loc15 = loc6;
					loc15 = RTRV(eif_new_type(1017, 0x00),loc15);
					if (EIF_TEST(loc15)) {
						loc10 = *(EIF_BOOLEAN *)(loc15);
						if (loc10) {
							tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '[';
							F1077_8666(RTCW(Result), tw1);
						}
						if (loc3) {
							tr1 = RTMS_EX_H(" <",2,8252);
							F1077_8652(RTCW(Result), tr1);
						} else {
							tw1 = RTOSCF(2913,F233_2913, (Current));
							F1077_8666(RTCW(Result), tw1);
							tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '<';
							F1077_8666(RTCW(Result), tw1);
						}
						tr1 = *(EIF_REFERENCE *)(loc15);
						F1077_8653(RTCW(Result), tr1);
						tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '>';
						F1077_8666(RTCW(Result), tw1);
						if (loc10) {
							tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ']';
							F1077_8666(RTCW(Result), tw1);
						}
					}
					tb2 = '\0';
					if ((EIF_BOOLEAN)(loc1 != NULL)) {
						tb3 = F817_6619(RTCW(loc1), loc6);
						tb2 = tb3;
					}
					if (tb2) {
						tr1 = F817_6617(RTCW(loc1), loc6);
						loc16 = tr1;
						if (EIF_TEST(loc16)) {
							tb2 = F727_6182(loc16);
							if ((EIF_BOOLEAN) !tb2) {
								{
									static EIF_TYPE_INDEX typarr0[] = {913,1016,0xFFFF};
									EIF_TYPE typres0;
									static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
									
									typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
									loc2 = RTLNS(typres0.id, 913, _OBJSIZ_1_1_0_1_0_0_0_0_);
								}
								ti4_1 = F844_6794(loc16);
								F914_6961(RTCW(loc2), ti4_1);
								loc12 = (EIF_INTEGER_32) ((EIF_INTEGER_32) 1L);
								loc13 = *(EIF_INTEGER_32 *)(loc16+ _LNGOFF_1_1_0_0_);
								for (;;) {
									if ((EIF_BOOLEAN) (loc12 > loc13)) break;
									tr1 = F844_6787(loc16, loc12);
									loc17 = tr1;
									if (EIF_TEST(loc17)) {
										(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(loc2))-724])(loc2, loc17);
									}
									loc12++;
								}
								loc7 = F235_2943(Current, loc2, (EIF_BOOLEAN) 0, (EIF_BOOLEAN) 0, (EIF_BOOLEAN) 0, arg5);
								tb2 = F732_6182(RTCW(loc7));
								if ((EIF_BOOLEAN) !tb2) {
									tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
									F1077_8666(RTCW(Result), tw1);
									F1077_8653(RTCW(Result), loc7);
								}
							}
						} else {
						}
					}
					tb2 = *(EIF_BOOLEAN *)(RTCW(loc6)+ _CHROFF_3_1_);
					if (tb2) {
						tr1 = RTMS_EX_H(" [",2,8283);
						F1077_8652(RTCW(Result), tr1);
						F1077_8666(RTCW(Result), loc8);
						tr1 = F1017_8018(RTCW(loc6));
						F1077_8653(RTCW(Result), tr1);
						tr1 = RTMS_EX_H("...]",4,774778461);
						F1077_8652(RTCW(Result), tr1);
					}
					if (loc9) {
						tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ']';
						F1077_8666(RTCW(Result), tw1);
					}
					tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5344[Dtype(loc14)-499])(loc14);
					if ((EIF_BOOLEAN) !tb2) {
						tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
						F1077_8666(RTCW(Result), tw1);
					}
				}
			}
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R5010[Dtype(loc14)-433])(loc14);
		}
	} else {
		Result = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
		F1067_8239(RTCW(Result));
		RTLE;
		return (EIF_REFERENCE) Result;
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.format_terminal_text */
EIF_REFERENCE F233_2899 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_NATURAL_8 arg2)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc4 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_INTEGER_32 ti4_3;
	EIF_CHARACTER_32 tw1;
	EIF_CHARACTER_32 tw2;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_BOOLEAN tb4;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(7);
	RTLR(0,loc2);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,Current);
	RTLR(4,loc3);
	RTLR(5,Result);
	RTLR(6,loc5);
	RTLIU(7);
	
	RTGC;
	tr1 = F1067_8298(RTCW(arg1));
	tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\012';
	loc2 = F1067_8317(RTCW(tr1), tw1);
	loc1 = (EIF_INTEGER_32) RTOSCF(2846,F233_2846, (Current));
	ti4_1 = (EIF_INTEGER_32) arg2;
	loc1 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc1 - ti4_1);
	loc3 = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
	tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ' ';
	ti4_1 = (EIF_INTEGER_32) arg2;
	F1075_8539(RTCW(loc3), tw1, ti4_1);
	Result = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
	ti4_1 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R7045[Dtype(RTCW(arg1))-1070])(arg1);
	ti4_2 = (FUNCTION_CAST(EIF_INTEGER_32, (EIF_REFERENCE)) R5496[Dtype(RTCW(loc2))-765])(loc2);
	ti4_3 = (EIF_INTEGER_32) ((EIF_NATURAL_8) (arg2 + (EIF_NATURAL_8) ((EIF_INTEGER_32) 1L)));
	F1075_8538(RTCW(Result), (EIF_INTEGER_32) (ti4_1 + (EIF_INTEGER_32) (ti4_2 * ti4_3)));
	(FUNCTION_CAST(void, (EIF_REFERENCE)) R5400[Dtype(RTCW(loc2))-724])(loc2);
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5411[Dtype(RTCW(loc2))-724])(loc2);
		if (tb1) break;
		tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5433[Dtype(RTCW(loc2))-724])(loc2);
		loc5 = tr1;
		if (EIF_TEST(loc5)) {
			tb2 = F732_6182(RTCW(Result));
			if ((EIF_BOOLEAN) !tb2) {
				tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '\012';
				F1077_8666(RTCW(Result), tw1);
				F1077_8653(RTCW(Result), loc3);
			}
			ti4_1 = *(EIF_INTEGER_32 *)(loc5+ _LNGOFF_1_1_0_2_);
			if ((EIF_BOOLEAN) (ti4_1 > loc1)) {
				ti4_1 = *(EIF_INTEGER_32 *)(loc5+ _LNGOFF_1_1_0_2_);
				loc4 = eif_min_int32 (ti4_1,loc1);
				for (;;) {
					tb2 = '\01';
					tb3 = '\01';
					if (!(EIF_BOOLEAN)(loc4 == ((EIF_INTEGER_32) 0L))) {
						tw1 = F1077_8620(loc5, loc4);
						tr1 = RTLNS(eif_new_type(1020, 0x00).id, 1020, _OBJSIZ_0_0_0_1_0_0_0_0_);
						*(EIF_CHARACTER_32 *)tr1 = tw1;
						tb4 = F1019_8075(RTCW(tr1));
						tb3 = tb4;
					}
					if (!tb3) {
						tw1 = F1077_8620(loc5, loc4);
						tw2 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '-';
						tb2 = (EIF_BOOLEAN)(tw1 == tw2);
					}
					if (tb2) break;
					loc4--;
				}
				if ((EIF_BOOLEAN)(loc4 == ((EIF_INTEGER_32) 0L))) {
					loc4 = (EIF_INTEGER_32) loc1;
				}
				tr1 = F1077_8700(loc5, ((EIF_INTEGER_32) 1L), loc4);
				F1077_8653(RTCW(Result), tr1);
				ti4_1 = *(EIF_INTEGER_32 *)(loc5+ _LNGOFF_1_1_0_2_);
				F1077_8636(loc5, (EIF_INTEGER_32) (ti4_1 - loc4));
				F1077_8637(loc5);
			} else {
				F1077_8653(RTCW(Result), loc5);
				F1077_8682(loc5);
			}
			tb3 = F732_6182(loc5);
			if (tb3) {
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R5413[Dtype(RTCW(loc2))-724])(loc2);
			}
		} else {
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R5413[Dtype(RTCW(loc2))-724])(loc2);
		}
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.nologo_switch */
static EIF_REFERENCE F233_2901_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2901);
#define Result RTOSR(2901)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("nologo",6,2036361583);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2901);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2901 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2901,F233_2901_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.help_switch */
static EIF_REFERENCE F233_2902_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTEV;
	RTGC;
	RTOSP (2902);
#define Result RTOSR(2902)
	RTOC_NEW(Result);
	if (RTOSCF(2862,F233_2862, (Current))) {
		if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_windows__b) {
			tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
			tr2 = RTMS_EX_H("\?|help",6,1876292720);
			F1076_8591(RTCW(tr1), tr2);
			Result = (EIF_REFERENCE) tr1;
		} else {
			tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
			tr2 = RTMS_EX_H("h|help",6,1956902000);
			F1076_8591(RTCW(tr1), tr2);
			Result = (EIF_REFERENCE) tr1;
		}
	} else {
		if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_windows__b) {
			tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
			tr2 = RTMS_EX_H("\?",1,63);
			F1076_8592(RTCW(tr1), tr2);
			Result = (EIF_REFERENCE) tr1;
		} else {
			tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
			tr2 = RTMS_EX_H("help",4,1751477360);
			F1076_8592(RTCW(tr1), tr2);
			Result = (EIF_REFERENCE) tr1;
		}
	}
	RTOSE (2902);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2902 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2902,F233_2902_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.version_switch */
static EIF_REFERENCE F233_2903_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(3);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLIU(3);
	
	RTEV;
	RTGC;
	RTOSP (2903);
#define Result RTOSR(2903)
	RTOC_NEW(Result);
	if (RTOSCF(2862,F233_2862, (Current))) {
		tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
		tr2 = RTMS_EX_H("v|version",9,1943702638);
		F1076_8591(RTCW(tr1), tr2);
		Result = (EIF_REFERENCE) tr1;
	} else {
		tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
		tr2 = RTMS_EX_H("version",7,1397649262);
		F1076_8591(RTCW(tr1), tr2);
		Result = (EIF_REFERENCE) tr1;
	}
	RTOSE (2903);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2903 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2903,F233_2903_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.available_switches */
static EIF_REFERENCE F233_2904_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	RTCFDD;
	RTLD;
	
	dftype = Dftype(Current);

	RTLI(6);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc2);
	RTLR(4,tr2);
	RTLR(5,tr3);
	RTLIU(6);
	
	RTEV;
	RTGC;
	RTOSP (2904);
#define Result RTOSR(2904)
	RTOC_NEW(Result);
	loc1 = RTOSCF(2957,F236_2957, (Current));
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		{
			static EIF_TYPE_INDEX typarr0[] = {913,1016,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr1 = RTLNS(typres0.id, 913, _OBJSIZ_1_1_0_1_0_0_0_0_);
		}
		ti4_1 = F914_6982(RTCW(loc1));
		F914_6961(RTCW(tr1), (EIF_INTEGER_32) (((EIF_INTEGER_32) 3L) + ti4_1));
		Result = (EIF_REFERENCE) tr1;
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5518[Dtype(RTCW(Result))-908])(Result, loc1);
	} else {
		{
			static EIF_TYPE_INDEX typarr0[] = {913,1016,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr1 = RTLNS(typres0.id, 913, _OBJSIZ_1_1_0_1_0_0_0_0_);
		}
		F914_6961(RTCW(tr1), ((EIF_INTEGER_32) 3L));
		Result = (EIF_REFERENCE) tr1;
	}
	loc2 = RTLNS(eif_new_type(1016, 0x00).id, 1016, _OBJSIZ_3_4_0_1_0_0_0_0_);
	tr1 = RTOSCF(2902,F233_2902, (Current));
	tr2 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr3 = RTMS_EX_H("Display usage information.",26,790767406);
	F1076_8592(RTCW(tr2), tr3);
	F1017_8015(RTCW(loc2), tr1, tr2, (EIF_BOOLEAN) 1, (EIF_BOOLEAN) 0);
	F1017_8029(RTCW(loc2));
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(Result))-724])(Result, loc2);
	if (*(EIF_BOOLEAN *)(Current+ _CHROFF_4_6_)) {
		loc2 = RTLNS(eif_new_type(1016, 0x00).id, 1016, _OBJSIZ_3_4_0_1_0_0_0_0_);
		tr1 = RTOSCF(2903,F233_2903, (Current));
		tr2 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
		tr3 = RTMS_EX_H("Displays version information.",29,582720558);
		F1076_8592(RTCW(tr2), tr3);
		F1017_8015(RTCW(loc2), tr1, tr2, (EIF_BOOLEAN) 1, (EIF_BOOLEAN) 0);
		F1017_8029(RTCW(loc2));
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(Result))-724])(Result, loc2);
		loc2 = RTLNS(eif_new_type(1016, 0x00).id, 1016, _OBJSIZ_3_4_0_1_0_0_0_0_);
		tr1 = RTOSCF(2901,F233_2901, (Current));
		tr2 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
		tr3 = RTMS_EX_H("Supresses copyright information.",32,1705082414);
		F1076_8592(RTCW(tr2), tr3);
		F1017_8015(RTCW(loc2), tr1, tr2, (EIF_BOOLEAN) 1, (EIF_BOOLEAN) 0);
		F1017_8029(RTCW(loc2));
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(Result))-724])(Result, loc2);
	}
	RTOSE (2904);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2904 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2904,F233_2904_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.available_visible_switches */
static EIF_REFERENCE F233_2905_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	

	RTLI(5);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc3);
	RTLR(4,loc2);
	RTLIU(5);
	
	RTEV;
	RTGC;
	RTOSP (2905);
#define Result RTOSR(2905)
	RTOC_NEW(Result);
	loc1 = RTOSCF(2904,F233_2904, (Current));
	{
		static EIF_TYPE_INDEX typarr0[] = {913,1016,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNS(typres0.id, 913, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	ti4_1 = F914_6982(RTCW(loc1));
	F914_6961(RTCW(tr1), ti4_1);
	Result = (EIF_REFERENCE) tr1;
	tr1 = F914_6975(RTCW(loc1));
	loc3 = (EIF_REFERENCE) tr1;
	for (;;) {
		tb1 = F522_5971(loc3);
		if (tb1) break;
		loc2 = F522_5962(loc3);
		tb2 = *(EIF_BOOLEAN *)(RTCW(loc2)+ _CHROFF_3_2_);
		if ((EIF_BOOLEAN) !tb2) {
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R5420[Dtype(RTCW(Result))-724])(Result, loc2);
		}
		F522_5977(loc3);
	}
	RTOSE (2905);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2905 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2905,F233_2905_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.switch_groups */
static EIF_REFERENCE F233_2907_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2907);
#define Result RTOSR(2907)
	RTOC_NEW(Result);
	{
		static EIF_TYPE_INDEX typarr0[] = {913,26,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNS(typres0.id, 913, _OBJSIZ_1_1_0_1_0_0_0_0_);
	}
	F914_6961(RTCW(tr1), ((EIF_INTEGER_32) 0L));
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2907);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2907 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2907,F233_2907_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.switch_dependencies */
static EIF_REFERENCE F233_2908_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2908);
#define Result RTOSR(2908)
	RTOC_NEW(Result);
	{
		static EIF_TYPE_INDEX typarr0[] = {816,843,1016,1016,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		tr1 = RTLNS(typres0.id, 816, _OBJSIZ_7_3_0_7_0_0_0_0_);
	}
	F817_6611(RTCW(tr1), ((EIF_INTEGER_32) 0L));
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2908);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2908 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2908,F233_2908_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.ellipse_text */
EIF_REFERENCE F233_2909 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_BOOLEAN tb1;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(4);
	RTLR(0,arg1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,Result);
	RTLIU(4);
	
	RTGC;
	tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R7023[Dtype(RTCW(arg1))-1070])(arg1);
	if ((EIF_BOOLEAN) !tb1) {
		tr1 = RTOSCF(2876,F233_2876, (Current));
		ti4_1 = (EIF_INTEGER_32) ((EIF_NATURAL_8) 255U);
		Result = F1235_10631(RTCW(tr1), arg1, ti4_1);
	} else {
		Result = RTLNS(eif_new_type(1076, 0x00).id, 1076, _OBJSIZ_1_1_0_3_0_0_0_0_);
		F1067_8239(RTCW(Result));
		RTLE;
		return (EIF_REFERENCE) Result;
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.new_argument_source */
EIF_REFERENCE F233_2911 (EIF_REFERENCE Current)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTLI(1);
	RTLR(0,tr1);
	RTLIU(1);
	
	RTGC;
	tr1 = RTLNS(eif_new_type(150, 0x00).id, 150, _OBJSIZ_0_0_0_0_0_0_0_0_);
	RTLE;
	return (EIF_REFERENCE) tr1;
}

/* {ARGUMENT_BASE_PARSER}.switch_prefixes */
static EIF_REFERENCE F233_2912_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_CHARACTER_32 tw1;
	RTCFDD;
	RTLD;
	
	dftype = Dftype(Current);

	RTLI(4);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,tr2);
	RTLR(3,tr3);
	RTLIU(4);
	
	RTEV;
	RTGC;
	RTOSP (2912);
#define Result RTOSR(2912)
	RTOC_NEW(Result);
	if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_windows__b) {
		{
			static EIF_TYPE_INDEX typarr0[] = {1131,1020,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr2 = RTLNSP2(typres0.id,0,((EIF_INTEGER_32) 2L),sizeof(EIF_CHARACTER_32), EIF_TRUE);
			RT_SPECIAL_COUNT(tr2) = 2L;
		}
		tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '-';
		*((EIF_CHARACTER_32 *)tr2+0) = (EIF_CHARACTER_32) tw1;
		tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '/';
		*((EIF_CHARACTER_32 *)tr2+1) = (EIF_CHARACTER_32) tw1;
		tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) F1132_9286)(tr2);
	} else {
		{
			static EIF_TYPE_INDEX typarr0[] = {1131,1020,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr3 = RTLNSP2(typres0.id,0,((EIF_INTEGER_32) 1L),sizeof(EIF_CHARACTER_32), EIF_TRUE);
			RT_SPECIAL_COUNT(tr3) = 1L;
		}
		tw1 = (EIF_CHARACTER_32) (EIF_CHARACTER_8) '-';
		*((EIF_CHARACTER_32 *)tr3+0) = (EIF_CHARACTER_32) tw1;
		tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) F1132_9286)(tr3);
		tr1 = tr2;
	}
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2912);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2912 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2912,F233_2912_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.switch_value_qualifer */
static EIF_CHARACTER_32 F233_2913_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	

	
	RTEV;
	RTGC;
	RTOSP (2913);
#define Result RTOSR(2913)
	Result = (EIF_CHARACTER_32) (EIF_CHARACTER_8) ':';
	RTOSE (2913);
	RTEE;
	return Result;
#undef Result
}

EIF_CHARACTER_32 F233_2913 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2913,F233_2913_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.default_system_name */
static EIF_REFERENCE F233_2914_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2914);
#define Result RTOSR(2914)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("app",3,6385776);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2914);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2914 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2914,F233_2914_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.tab_string */
static EIF_REFERENCE F233_2915_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2915);
#define Result RTOSR(2915)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("   ",3,2105376);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2915);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2915 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2915,F233_2915_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_invalid_switch_error */
static EIF_REFERENCE F233_2916_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2916);
#define Result RTOSR(2916)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("The switch \'{1}\' is invalid.",28,1573419310);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2916);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2916 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2916,F233_2916_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_unrecognized_switch_error */
static EIF_REFERENCE F233_2917_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2917);
#define Result RTOSR(2917)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Unrecognized switch \'{1}\'.",26,1405505070);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2917);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2917 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2917,F233_2917_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_require_switch_value */
static EIF_REFERENCE F233_2919_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2919);
#define Result RTOSR(2919)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Switch \'{1}\' requires a paired value \'{2}\'.",43,736796462);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2919);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2919 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2919,F233_2919_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_multiple_switch_error */
static EIF_REFERENCE F233_2920_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2920);
#define Result RTOSR(2920)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Switch \'{1}\' can only be used once.",35,2066790446);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2920);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2920 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2920,F233_2920_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_non_value_switch */
static EIF_REFERENCE F233_2921_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2921);
#define Result RTOSR(2921)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Switch \'{1}\' should not have any value paired with it.",54,510438446);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2921);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2921 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2921,F233_2921_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_missing_switch_error */
static EIF_REFERENCE F233_2922_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2922);
#define Result RTOSR(2922)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Switch \'{1}\' was not specified.",31,1763454766);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2922);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2922 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2922,F233_2922_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_non_switched_argument_specified_error */
static EIF_REFERENCE F233_2923_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2923);
#define Result RTOSR(2923)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Arguments without a switch prefix are not valid arguments.",58,156258862);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2923);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2923 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2923,F233_2923_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_switch_group_unrecognized_error */
static EIF_REFERENCE F233_2925_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2925);
#define Result RTOSR(2925)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("The specified switches are not in a valid configuration.",56,723639342);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2925);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2925 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2925,F233_2925_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_missing_switch_dependency_error */
static EIF_REFERENCE F233_2926_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2926);
#define Result RTOSR(2926)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("Switch \'{1}\' require the switch \'{2}\' be specified also.",56,1344471598);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2926);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2926 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2926,F233_2926_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_invalid_switch_value_with_reason */
static EIF_REFERENCE F233_2927_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2927);
#define Result RTOSR(2927)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("\'{1}\' is an invalid option for switch \'{2}\'.\012{3}",48,341313917);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2927);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2927 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2927,F233_2927_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.e_invalid_non_switched_value_with_reason */
static EIF_REFERENCE F233_2928_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	RTLD;
	

	RTLI(2);
	RTLR(0,tr1);
	RTLR(1,tr2);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOSP (2928);
#define Result RTOSR(2928)
	RTOC_NEW(Result);
	tr1 = RTLNS(eif_new_type(1075, 0x00).id, 1075, _OBJSIZ_1_0_0_4_0_0_0_0_);
	tr2 = RTMS_EX_H("\'{1}\' is an invalid option.\012{2}",31,1578061949);
	F1076_8591(RTCW(tr1), tr2);
	Result = (EIF_REFERENCE) tr1;
	RTOSE (2928);
	RTLE;
	RTEE;
	return Result;
#undef Result
}

EIF_REFERENCE F233_2928 (EIF_REFERENCE Current)
{
	GTCX
	return RTOSCF(2928,F233_2928_body,(Current));
}

/* {ARGUMENT_BASE_PARSER}.internal_option_of_name */
EIF_REFERENCE F233_2929 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN loc1 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	EIF_BOOLEAN tb3;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTLD;
	
	RTLI(6);
	RTLR(0,Current);
	RTLR(1,loc3);
	RTLR(2,tr1);
	RTLR(3,loc2);
	RTLR(4,arg1);
	RTLR(5,Result);
	RTLIU(6);
	
	RTGC;
	loc1 = *(EIF_BOOLEAN *)(Current+ _CHROFF_4_5_);
	tr1 = F233_2837(Current);
	loc3 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5280[Dtype(RTCW(tr1))-473])(tr1);
	for (;;) {
		tb1 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE)) R5009[Dtype(loc3)-433])(loc3);
		if (tb1) break;
		loc2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R5008[Dtype(loc3)-433])(loc3);
		if (loc1) {
			tr1 = *(EIF_REFERENCE *)(RTCW(loc2));
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb2 = (FUNCTION_CAST(EIF_BOOLEAN, (EIF_REFERENCE, EIF_REFERENCE)) R7051[Dtype(RTCW(arg1))-1070])(arg1, tr1);
		} else {
			tr1 = *(EIF_REFERENCE *)(RTCW(loc2));
			tr1 = *(EIF_REFERENCE *)(RTCW(tr1));
			tb3 = F1067_8281(RTCW(arg1), tr1);
			tb2 = tb3;
		}
		if (tb2) {
			Result = (EIF_REFERENCE) loc2;
		}
		(FUNCTION_CAST(void, (EIF_REFERENCE)) R5010[Dtype(loc3)-433])(loc3);
	}
	RTLE;
	return Result;
}

/* {ARGUMENT_BASE_PARSER}.fake inline-agent#13894#457#35# of command_option_configurations */
EIF_BOOLEAN F233_13894 (EIF_REFERENCE Current, EIF_REFERENCE arg1)
{
	GTCX
	EIF_BOOLEAN tb1;
	
	
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg1)+ _CHROFF_1_0_);
	return (EIF_BOOLEAN) tb1;
}

void EIF_Minit187 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
