case $CONFIG in
'')
	if test ! -f ../config.sh; then
		(echo "Can't find ../config.sh."; exit 1)
	fi 2>/dev/null
	. ../config.sh
	;;
esac
case "$O" in
*/*) cd `expr X$0 : 'X\(.*\)/'` ;;
esac
echo "Compiling C code in C57"
$spitshell >Makefile <<!GROK!THIS!
INCLUDE_PATH =  -I"\$(ISE_LIBRARY)/library/base/elks/encoding/implementation/include" -I"\$(ISE_LIBRARY)/library/process/base/platform/unix/include" -I"\$(EIFFEL_SRC)/C/bench" -I"\$(EIFFEL_SRC)/C/platform" -I"\$(ISE_LIBRARY)/library/time/spec/include" -I"\$(EIFFEL_SRC)/framework/dotnet/il_emitter/Clib" -I"\$(ISE_LIBRARY)/library/i18n/spec/include" -I"\$(ISE_LIBRARY)/library/vision2/spec/include" -I"\$(ISE_LIBRARY)/library/vision2/implementation/gtk3/Clib" -I"\$(ISE_LIBRARY)/library/cURL/spec/include" -I"\$(ISE_LIBRARY)/C_library/curl/include" -I"\$(ISE_LIBRARY)/library/web_browser/spec/include/webkit2" -I"\$(ISE_LIBRARY)/library/web_browser/spec/include" `$ISE_LIBRARY/library/base/elks/encoding/implementation/unix/Clib/iconv-config --include_path` `$ISE_LIBRARY/library/vision2/implementation/gtk3/Clib/vision2-gtk-config --include_path`
SHELL = /bin/sh
CC = $cc
CPP = $cpp
CFLAGS = $optimize $mtccflags $large -I"$rt_include" -I. \$(INCLUDE_PATH)
CPPFLAGS = $optimize $mtcppflags $large -I"$rt_include" -I. \$(INCLUDE_PATH)
LDFLAGS = $ldflags
CCLDFLAGS = $ccldflags  $console_flags
LDSHAREDFLAGS =  $mtldsharedflags
EIFLIB = "$rt_lib/$prefix$mt_prefix$eiflib$suffix"
EIFTEMPLATES = $rt_templates
LIBS = $mtlibs
MAKE = $make
AR = $ar
LD = $ld
MKDEP = $mkdep \$(DPFLAGS) --
MV = $mv
CP = $cp
RANLIB = $ranlib
RM = $rm -f
FILE_EXIST = $file_exist
RMDIR = $rmdir
X2C = "$x2c"
SHAREDLINK = $sharedlink
SHAREDLIBS = $sharedlibs
SHARED_SUFFIX = $shared_suffix
COMMAND_MAKEFILE = 
START_TEST = $start_test 
END_TEST = $end_test 
CREATE_TEST = $create_test 
SYSTEM_IN_DYNAMIC_LIB = ec$shared_suffix 
!GROK!THIS!
$spitshell >>Makefile <<'!NO!SUBS!'
.SUFFIXES: .x .xpp .cpp .o

.c.o:
	$(CC) $(CFLAGS) -c $<

.cpp.o:
	$(CPP) $(CPPFLAGS) -c $<

.x.o:
	$(X2C) $< $*.c
	$(CC) $(CFLAGS) -c $*.c
	$(RM) $*.c

.xpp.o:
	$(X2C) $< $*.cpp
	$(CPP) $(CPPFLAGS) -c $*.cpp
	$(RM) $*.cpp

.x.c:
	$(X2C) $< $*.c

.xpp.cpp:
	$(X2C) $< $*.cpp

OBJECTS = ev2832.o ev2804.o ev2827.o ev2824.o ev2833.o ev2846.o ev2822.o \
	eb2831.o ev2836.o ev2811.o ev2829.o ev2810.o ev2834.o ev2826.o \
	ev2823.o ev2817.o sd2849.o ev2838.o ev2814.o ev2845.o ev2844.o \
	ev2835.o ev2816.o ev2842.o ev2815.o ev2801.o sd2808.o sd2807.o \
	sd2805.o sd2800.o ev2840.o eb2830.o ev2837.o es2803.o ev2813.o \
	ev2841.o ev2821.o sc2825.o ev2802.o ev2828.o sd2806.o ev2812.o \
	sd2848.o sd2847.o ev2819.o sd2818.o 

all: Cobj57.o

Cobj57.o: $(OBJECTS) Makefile
	$(LD) $(LDFLAGS) -r -o Cobj57.o $(OBJECTS)
	$(RM) $(OBJECTS)
	$(CREATE_TEST)

clean: local_clean
clobber: local_clobber

local_clean::
	$(RM) core finished *.o

local_clobber:: local_clean
	$(RM) Makefile

!NO!SUBS!
chmod 644 Makefile
$eunicefix Makefile
