/*
 * Code for class EV_MENU_IMP
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "ev1194.h"
#include "ev_any_imp.h"
#include <ev_gtk.h>
#include "ev_c_util.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F1917_21242
static void inline_F1917_21242 (EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	g_object_set_data (
    G_OBJECT (arg1),
    "eif_oid",
    (gpointer) (rt_int_ptr) arg2
);
	;
}
#define INLINE_F1917_21242
#endif
#ifndef INLINE_F1917_21243
static void inline_F1917_21243 (EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_NATURAL_32 arg5)
{
	{
     /* From: https://git.eclipse.org/c/platform/eclipse.platform.swt.git/commit/?id=7714fdbf1ce0110744da9c164486c12254d5bd6f
	 *  GTK Feature: gtk_menu_popup is deprecated as of GTK3.22 and the new method gtk_menu_popup_at_pointer
	 *  requires an event to hook on to. This requires the popup & events related to the menu be handled
	 *  immediately and not as a post event in display, requiring the current event.
	 */
	GdkEvent *event_ptr = gtk_get_current_event();
	if (event_ptr == NULL) {
		GdkEvent *event = gdk_event_new (GDK_BUTTON_PRESS);
		((GdkEventButton*)event)->time = (guint32) arg5;
		((GdkEventButton*)event)->x = (gdouble) arg2;
		((GdkEventButton*)event)->y = (gdouble) arg3;
		((GdkEventButton*)event)->type = GDK_BUTTON_PRESS;
		((GdkEventButton*)event)->button = (guint) arg4;
		gtk_widget_realize (arg1);
		((GdkEventButton*)event)->window = g_object_ref((GdkWindow*) gtk_widget_get_window ((GtkWidget*) arg1));
		((GdkEventButton*)event)->device = (GdkDevice*) gdk_seat_get_pointer ((GdkSeat*) gdk_display_get_default_seat ((GdkDisplay*) gdk_display_get_default ()));
		gtk_menu_popup_at_pointer ((GtkMenu*) arg1, event);
		gdk_event_free (event);
	} else {
		gtk_menu_popup_at_pointer ((GtkMenu*) arg1, event_ptr);
		gdk_event_free (event_ptr);
	}	
}
	;
}
#define INLINE_F1917_21243
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {EV_MENU_IMP}.make */
void F1917_21239 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_POINTER tp1;
	EIF_POINTER tp2;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("make", 1916, Current, 0, 0, 26794);
	RTGC;
	RTHOOK(1);
	F1914_21207(Current);
	RTHOOK(2);
	tp1 = (EIF_POINTER) gtk_menu_new();
	*(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_) = (EIF_POINTER) tp1;
	RTHOOK(3);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
	gtk_widget_show((GtkWidget*) tp1);
	RTHOOK(4);
	tp1 = F1914_21213(Current);
	gtk_widget_show((GtkWidget*) tp1);
	RTHOOK(5);
	tp1 = F1914_21213(Current);
	tp2 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
	gtk_menu_item_set_submenu((GtkMenuItem*) tp1, (GtkWidget*) tp2);
	RTHOOK(6);
	F1729_18323(Current);
	RTHOOK(7);
	F1762_18827(Current);
	RTHOOK(8);
	F1914_21214(Current);
	RTHOOK(9);
	RTLE;
	RTEE;
}

/* {EV_MENU_IMP}.show */
void F1917_21240 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	RTLD;
	
	RTLI(3);
	RTLR(0,loc1);
	RTLR(1,tr1);
	RTLR(2,Current);
	RTLIU(3);
	
	RTEAA("show", 1916, Current, 2, 0, 26795);
	RTGC;
	RTHOOK(1);
	tr1 = RTLNS(eif_new_type(1387, 0x00).id, 1387, _OBJSIZ_2_0_0_0_0_0_0_0_);
	F1359_12764(RTCW(tr1));
	loc1 = F1388_13131(RTCW(tr1));
	RTHOOK(2);
	tp1 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
	loc2 = (EIF_INTEGER_32) gtk_container_get_border_width((GtkContainer*) tp1);
	RTHOOK(3);
	ti4_1 = F1269_12261(RTCW(loc1));
	ti4_2 = F1269_12263(RTCW(loc1));
	F1917_21241(Current, NULL, (EIF_INTEGER_32) (ti4_1 + loc2), (EIF_INTEGER_32) (ti4_2 + loc2));
	RTHOOK(4);
	RTLE;
	RTEE;
}

/* {EV_MENU_IMP}.show_at */
void F1917_21241 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3)
{
	GTCX
	RTEX;
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_INTEGER_32 loc2 = (EIF_INTEGER_32) 0;
	EIF_POINTER tp1;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_NATURAL_32 tu4_1;
	RTCFDT;
	RTLD;
	
	RTLI(5);
	RTLR(0,Current);
	RTLR(1,arg1);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLIU(5);
	
	RTEAA("show_at", 1916, Current, 2, 3, 26796);
	RTGC;
	RTHOOK(1);
	if ((EIF_BOOLEAN) (F1729_18325(Current) > ((EIF_INTEGER_32) 0L))) {
		RTHOOK(2);
		if ((EIF_BOOLEAN)(arg1 != NULL)) {
			RTHOOK(3);
			loc1 = F1376_13007(RTCW(arg1));
			loc1 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc1 + arg2);
			RTHOOK(4);
			loc2 = F1376_13008(RTCW(arg1));
			loc2 = (EIF_INTEGER_32) (EIF_INTEGER_32) (loc2 + arg3);
		} else {
			RTHOOK(5);
			loc1 = (EIF_INTEGER_32) arg2;
			RTHOOK(6);
			loc2 = (EIF_INTEGER_32) arg3;
		}
		RTHOOK(7);
		ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(18434,F1737_18434, (Current)))+ _LNGOFF_49_16_0_11_);
		loc1 -= ti4_1;
		RTHOOK(8);
		ti4_1 = *(EIF_INTEGER_32 *)(RTCV(RTOSCF(18434,F1737_18434, (Current)))+ _LNGOFF_49_16_0_12_);
		loc2 -= ti4_1;
		RTHOOK(9);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
		ti4_1 = F1230_11561(Current);
		inline_F1917_21242(tp1, ti4_1);
		RTHOOK(10);
		tr1 = RTOSCF(18434,F1737_18434, (Current));
		F1726_18157(RTCW(tr1), *(EIF_REFERENCE *)(Current + _REFACS_12_));
		RTHOOK(11);
		tr1 = RTOSCF(18434,F1737_18434, (Current));
		{
			static EIF_TYPE_INDEX typarr0[] = {0xFFF9,6,1433,0,1505,1439,1439,1439,1451,0xFFFF};
			EIF_TYPE typres0;
			typarr0[3] = dftype;
			
			typres0 = eif_compound_id(dftype, typarr0);
			tr2 = RTLNTS(typres0.id, 7, 0);
		}
		((EIF_TYPED_VALUE *)tr2+1)->it_r = Current;
		RTAR(tr2,Current);
		tp1 = *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
		((EIF_TYPED_VALUE *)tr2+2)->it_p = tp1;
		((EIF_TYPED_VALUE *)tr2+3)->it_i4 = loc1;
		((EIF_TYPED_VALUE *)tr2+4)->it_i4 = loc2;
		((EIF_TYPED_VALUE *)tr2+5)->it_i4 = ((EIF_INTEGER_32) 0L);
		tu4_1 = (EIF_NATURAL_32) gtk_get_current_event_time();
		((EIF_TYPED_VALUE *)tr2+6)->it_n4 = tu4_1;
		
		{
			static EIF_TYPE_INDEX typarr0[] = {1507,0xFFF9,0,1433,0xFFFF};
			EIF_TYPE typres0;
			static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
			
			typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
			tr3= RTLNRF(typres0.id, (EIF_POINTER) __A1194_326, (EIF_POINTER) _A1194_326, (EIF_POINTER)(F1917_21243),tr2, 1, 0);
		}
		F1725_18082(RTCW(tr1), tr3);
	}
	RTHOOK(12);
	RTLE;
	RTEE;
}

/* {EV_MENU_IMP}.couple_object_id_with_gtk_object */
void F1917_21242 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("couple_object_id_with_gtk_object", 1916, Current, 0, 2, 26797);
	inline_F1917_21242 ((EIF_POINTER) arg1, (EIF_INTEGER_32) arg2);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {EV_MENU_IMP}.c_gtk_menu_popup_at_pointer */
void F1917_21243 (EIF_REFERENCE Current, EIF_POINTER arg1, EIF_INTEGER_32 arg2, EIF_INTEGER_32 arg3, EIF_INTEGER_32 arg4, EIF_NATURAL_32 arg5)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("c_gtk_menu_popup_at_pointer", 1916, Current, 0, 5, 26798);
	inline_F1917_21243 ((EIF_POINTER) arg1, (EIF_INTEGER_32) arg2, (EIF_INTEGER_32) arg3, (EIF_INTEGER_32) arg4, (EIF_NATURAL_32) arg5);
	RTHOOK(1);
	RTLE;
	RTEE;
}

/* {EV_MENU_IMP}.on_activate */
void F1917_21244 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	RTLD;
	
	RTLI(5);
	RTLR(0,loc1);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,tr2);
	RTLR(4,tr3);
	RTLIU(5);
	
	RTEAA("on_activate", 1916, Current, 1, 0, 26799);
	RTGC;
	RTHOOK(1);
	loc1 = F1907_21187(Current);
	loc1 = RTRV(eif_new_type(1733, 0x00), loc1);
	RTHOOK(2);
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		RTHOOK(3);
		tr1 = *(EIF_REFERENCE *)(RTCW(loc1));
		if ((EIF_BOOLEAN)(tr1 != NULL)) {
			RTHOOK(4);
			tr1 = F225_4117(RTCW(loc1));
			{
				static EIF_TYPE_INDEX typarr0[] = {0xFFF9,1,1433,0,0,0xFFFF};
				EIF_TYPE typres0;
				{
					EIF_TYPE l_type;
					l_type = eif_final_id(Y14168,Y14168_gen_type,Dftype(Current),1700);
					typarr0[3] = l_type.annotations | 0xFF00;
					typarr0[4] = l_type.id;
				}
				
				typres0 = eif_compound_id(Dftype(Current), typarr0);
				tr2 = RTLNTS(typres0.id, 2, 0);
			}
			tr3 = F1701_17582(Current);
			((EIF_TYPED_VALUE *)tr2+1)->it_r = tr3;
			RTAR(tr2,tr3);
			F1188_10626(RTCW(tr1), tr2);
		}
	}
	RTHOOK(5);
	if ((EIF_BOOLEAN)(*(EIF_REFERENCE *)(Current + _REFACS_8_) != NULL)) {
		RTHOOK(6);
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_8_);
		F1188_10626(RTCW(tr1), NULL);
	}
	RTHOOK(7);
	RTLE;
	RTEE;
}

/* {EV_MENU_IMP}.list_widget */
EIF_POINTER F1917_21246 (EIF_REFERENCE Current)
{
	return *(EIF_POINTER *)(Current+ _PTROFF_26_8_6_2_0_4_);
}


/* {EV_MENU_IMP}.destroy */
void F1917_21247 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTLD;
	
	RTLI(1);
	RTLR(0,Current);
	RTLIU(1);
	
	RTEAA("destroy", 1916, Current, 0, 0, 26802);
	RTGC;
	RTHOOK(1);
	F1728_18319(Current);
	RTHOOK(2);
	F1907_21188(Current);
	RTHOOK(3);
	RTLE;
	RTEE;
}

void EIF_Minit1194 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
