/*
 * Code for class LIBCURL_HTTP_CLIENT_REQUEST
 */

#include "eif_eiffel.h"
#include "../E1/estructure.h"
#include "../E1/eoffsets.h"

#include "li415.h"
#include "eif_built_in.h"
#include <curl/curl.h>
#include "eif_out.h"

#ifdef __cplusplus
extern "C" {
#endif

#ifndef INLINE_F31_421
static EIF_INTEGER_32 inline_F31_421 (void)
{
	return CURLOPT_URL;
	;
}
#define INLINE_F31_421
#endif
#ifndef INLINE_F31_463
static EIF_INTEGER_32 inline_F31_463 (void)
{
	return CURLOPT_HTTP_VERSION;
	;
}
#define INLINE_F31_463
#endif
#ifndef INLINE_F31_465
static EIF_INTEGER_32 inline_F31_465 (void)
{
	return CURL_HTTP_VERSION_1_0
	;
}
#define INLINE_F31_465
#endif
#ifndef INLINE_F31_464
static EIF_INTEGER_32 inline_F31_464 (void)
{
	return CURL_HTTP_VERSION_NONE
	;
}
#define INLINE_F31_464
#endif
#ifndef INLINE_F31_435
static EIF_INTEGER_32 inline_F31_435 (void)
{
	return CURLOPT_HTTPAUTH;
	;
}
#define INLINE_F31_435
#endif
#ifndef INLINE_F31_436
static EIF_INTEGER_32 inline_F31_436 (void)
{
	return CURLAUTH_NONE;
	;
}
#define INLINE_F31_436
#endif
#ifndef INLINE_F31_437
static EIF_INTEGER_32 inline_F31_437 (void)
{
	return CURLAUTH_BASIC;
	;
}
#define INLINE_F31_437
#endif
#ifndef INLINE_F31_438
static EIF_INTEGER_32 inline_F31_438 (void)
{
	return CURLAUTH_DIGEST;
	;
}
#define INLINE_F31_438
#endif
#ifndef INLINE_F31_439
static EIF_INTEGER_32 inline_F31_439 (void)
{
	return CURLAUTH_ANY;
	;
}
#define INLINE_F31_439
#endif
#ifndef INLINE_F31_440
static EIF_INTEGER_32 inline_F31_440 (void)
{
	return CURLAUTH_ANYSAFE;
	;
}
#define INLINE_F31_440
#endif
#ifndef INLINE_F31_433
static EIF_INTEGER_32 inline_F31_433 (void)
{
	return CURLOPT_USERPWD;
	;
}
#define INLINE_F31_433
#endif
#ifndef INLINE_F31_450
static EIF_INTEGER_32 inline_F31_450 (void)
{
	return CURLOPT_POSTFIELDS;
	;
}
#define INLINE_F31_450
#endif
#ifndef INLINE_F31_451
static EIF_INTEGER_32 inline_F31_451 (void)
{
	return CURLOPT_POSTFIELDSIZE;
	;
}
#define INLINE_F31_451
#endif
#ifndef INLINE_F31_478
static EIF_INTEGER_32 inline_F31_478 (void)
{
	return CURLOPT_UPLOAD;
	;
}
#define INLINE_F31_478
#endif
#ifndef INLINE_F31_476
static EIF_INTEGER_32 inline_F31_476 (void)
{
	return CURLOPT_INFILESIZE;
	;
}
#define INLINE_F31_476
#endif
#ifndef INLINE_F33_618
static EIF_INTEGER_32 inline_F33_618 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_COPYNAME)
	;
}
#define INLINE_F33_618
#endif
#ifndef INLINE_F33_619
static EIF_INTEGER_32 inline_F33_619 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_COPYCONTENTS)
	;
}
#define INLINE_F33_619
#endif
#ifndef INLINE_F33_620
static EIF_INTEGER_32 inline_F33_620 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_END)
	;
}
#define INLINE_F33_620
#endif
#ifndef INLINE_F33_621
static EIF_INTEGER_32 inline_F33_621 (void)
{
	return (EIF_INTEGER_32) (CURLFORM_FILE)
	;
}
#define INLINE_F33_621
#endif
#ifndef INLINE_F31_453
static EIF_INTEGER_32 inline_F31_453 (void)
{
	return CURLOPT_HTTPPOST;
	;
}
#define INLINE_F31_453
#endif
#ifndef INLINE_F31_456
static EIF_INTEGER_32 inline_F31_456 (void)
{
	return CURLOPT_HTTPHEADER;
	;
}
#define INLINE_F31_456
#endif
#ifndef INLINE_F31_410
static EIF_INTEGER_32 inline_F31_410 (void)
{
	return CURLOPT_VERBOSE;
	;
}
#define INLINE_F31_410
#endif
#ifndef INLINE_F31_414
static EIF_INTEGER_32 inline_F31_414 (void)
{
	return CURLOPT_WRITEDATA;
	;
}
#define INLINE_F31_414
#endif
#ifndef INLINE_F31_411
static EIF_INTEGER_32 inline_F31_411 (void)
{
	return CURLOPT_HEADER;
	;
}
#define INLINE_F31_411
#endif
#ifndef INLINE_F31_423
static EIF_INTEGER_32 inline_F31_423 (void)
{
	return CURLOPT_PROXYPORT;
	;
}
#define INLINE_F31_423
#endif
#ifndef INLINE_F31_422
static EIF_INTEGER_32 inline_F31_422 (void)
{
	return CURLOPT_PROXY;
	;
}
#define INLINE_F31_422
#endif
#ifndef INLINE_F31_485
static EIF_INTEGER_32 inline_F31_485 (void)
{
	return CURLOPT_TIMEOUT
	;
}
#define INLINE_F31_485
#endif
#ifndef INLINE_F31_495
static EIF_INTEGER_32 inline_F31_495 (void)
{
	return CURLOPT_CONNECTTIMEOUT
	;
}
#define INLINE_F31_495
#endif
#ifndef INLINE_F31_445
static EIF_INTEGER_32 inline_F31_445 (void)
{
	return CURLOPT_FOLLOWLOCATION;
	;
}
#define INLINE_F31_445
#endif
#ifndef INLINE_F31_447
static EIF_INTEGER_32 inline_F31_447 (void)
{
	return CURLOPT_MAXREDIRS;
	;
}
#define INLINE_F31_447
#endif
#ifndef INLINE_F31_523
static EIF_INTEGER_32 inline_F31_523 (void)
{
	return CURLOPT_SSL_VERIFYHOST;
	;
}
#define INLINE_F31_523
#endif
#ifndef INLINE_F31_520
static EIF_INTEGER_32 inline_F31_520 (void)
{
	return CURLOPT_SSL_VERIFYPEER;
	;
}
#define INLINE_F31_520
#endif
#ifndef INLINE_F31_526
static EIF_INTEGER_32 inline_F31_526 (void)
{
	return CURLOPT_SSL_CIPHER_LIST;
	;
}
#define INLINE_F31_526
#endif
#ifndef INLINE_F31_462
static EIF_INTEGER_32 inline_F31_462 (void)
{
	return CURLOPT_HTTPGET;
	;
}
#define INLINE_F31_462
#endif
#ifndef INLINE_F31_449
static EIF_INTEGER_32 inline_F31_449 (void)
{
	return CURLOPT_POST;
	;
}
#define INLINE_F31_449
#endif
#ifndef INLINE_F31_448
static EIF_INTEGER_32 inline_F31_448 (void)
{
	return CURLOPT_PUT;
	;
}
#define INLINE_F31_448
#endif
#ifndef INLINE_F31_475
static EIF_INTEGER_32 inline_F31_475 (void)
{
	return CURLOPT_NOBODY;
	;
}
#define INLINE_F31_475
#endif
#ifndef INLINE_F31_473
static EIF_INTEGER_32 inline_F31_473 (void)
{
	return CURLOPT_CUSTOMREQUEST
	;
}
#define INLINE_F31_473
#endif
#ifndef INLINE_F31_513
static EIF_INTEGER_32 inline_F31_513 (void)
{
	return CURLOPT_SSLVERSION;
	;
}
#define INLINE_F31_513
#endif
#ifndef INLINE_F31_516
static EIF_INTEGER_32 inline_F31_516 (void)
{
	return CURL_SSLVERSION_MAX_TLSv1_2;
	;
}
#define INLINE_F31_516
#endif
#ifndef INLINE_F31_517
static EIF_INTEGER_32 inline_F31_517 (void)
{
	return CURL_SSLVERSION_TLSv1_3;
	;
}
#define INLINE_F31_517
#endif
#ifndef INLINE_F31_507
static EIF_INTEGER_32 inline_F31_507 (void)
{
	return CURLOPT_SSLCERTTYPE;
	;
}
#define INLINE_F31_507
#endif
#ifndef INLINE_F31_510
static EIF_INTEGER_32 inline_F31_510 (void)
{
	return CURLOPT_KEYPASSWD;
	;
}
#define INLINE_F31_510
#endif
#ifndef INLINE_F31_506
static EIF_INTEGER_32 inline_F31_506 (void)
{
	return CURLOPT_SSLCERT;
	;
}
#define INLINE_F31_506
#endif
#ifndef INLINE_F31_521
static EIF_INTEGER_32 inline_F31_521 (void)
{
	return CURLOPT_CAINFO;
	;
}
#define INLINE_F31_521
#endif

#ifdef __cplusplus
}
#endif


#ifdef __cplusplus
extern "C" {
#endif

/* {LIBCURL_HTTP_CLIENT_REQUEST}.make */
void F465_6206 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_REFERENCE arg4)
{
	GTCX
	RTLD;
	
	RTLI(5);
	RTLR(0,arg1);
	RTLR(1,arg2);
	RTLR(2,arg3);
	RTLR(3,arg4);
	RTLR(4,Current);
	RTLIU(5);
	
	RTGC;
	F464_6182(Current, arg1, arg2, arg3, arg4);
	RTOUCP(621,F465_6207, (Current));
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.apply_workaround */
static void F465_6207_body (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	RTLD;
	
	RTOUDV(621)

	RTLI(2);
	RTLR(0,loc1);
	RTLR(1,tr1);
	RTLIU(2);
	
	RTEV;
	RTGC;
	RTOTP;
	if ((EIF_BOOLEAN) eif_builtin_PLATFORM_is_windows__b) {
		tr1 = RTLNS(eif_new_type(317, 0x01).id, 317, _OBJSIZ_0_0_0_0_0_0_0_0_);
		loc1 = F318_4526(RTCW(tr1));
	}
	RTOTE;
	RTLE;
	RTEE;
#undef Result
}

void F465_6207 (EIF_REFERENCE Current)
{
	GTCX
	RTOUCP(621,F465_6207_body,(Current));
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.response */
#undef EIF_VOLATILE
#define EIF_VOLATILE volatile
EIF_REFERENCE F465_6209 (EIF_REFERENCE Current)
{
	GTCX
	RTEX;
	RTED;
	EIF_INTEGER_32 EIF_VOLATILE loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE EIF_VOLATILE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc3 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN EIF_VOLATILE loc4 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc5 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc6 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc7 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc8 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc9 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc10 = (EIF_REFERENCE) 0;
	EIF_POINTER EIF_VOLATILE loc11 = (EIF_POINTER) 0;
	EIF_REFERENCE EIF_VOLATILE loc12 = (EIF_REFERENCE) 0;
	EIF_POINTER EIF_VOLATILE loc13 = (EIF_POINTER) 0;
	EIF_BOOLEAN EIF_VOLATILE loc14 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc15 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc16 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc17 = (EIF_REFERENCE) 0;
	EIF_BOOLEAN EIF_VOLATILE loc18 = (EIF_BOOLEAN) 0;
	EIF_REFERENCE EIF_VOLATILE loc19 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc20 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc21 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc22 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc23 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc24 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc25 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc26 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc27 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc28 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc29 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc30 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc31 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc32 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc33 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc34 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE loc35 = (EIF_REFERENCE) 0;
	EIF_REFERENCE EIF_VOLATILE saved_except = (EIF_REFERENCE) 0;
	EIF_POINTER  EIF_VOLATILE tp1;
	EIF_REFERENCE  EIF_VOLATILE tr1 = NULL;
	EIF_REFERENCE  EIF_VOLATILE tr2 = NULL;
	EIF_REFERENCE  EIF_VOLATILE tr3 = NULL;
	EIF_INTEGER_32  EIF_VOLATILE ti4_1;
	EIF_INTEGER_32  EIF_VOLATILE ti4_2;
	EIF_INTEGER_32  EIF_VOLATILE ti4_3;
	EIF_BOOLEAN  EIF_VOLATILE tb1;
	EIF_BOOLEAN  EIF_VOLATILE tb2;
	EIF_BOOLEAN  EIF_VOLATILE tb3;
	EIF_BOOLEAN  EIF_VOLATILE tb4;
	EIF_BOOLEAN  EIF_VOLATILE tb5;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	RTXD;
	
	RTLI(35);
	RTLR(0,loc9);
	RTLR(1,Current);
	RTLR(2,tr1);
	RTLR(3,loc10);
	RTLR(4,loc12);
	RTLR(5,loc20);
	RTLR(6,loc21);
	RTLR(7,loc3);
	RTLR(8,tr2);
	RTLR(9,loc19);
	RTLR(10,tr3);
	RTLR(11,loc22);
	RTLR(12,loc23);
	RTLR(13,loc24);
	RTLR(14,loc17);
	RTLR(15,loc25);
	RTLR(16,loc15);
	RTLR(17,loc16);
	RTLR(18,loc7);
	RTLR(19,loc8);
	RTLR(20,loc26);
	RTLR(21,loc27);
	RTLR(22,loc5);
	RTLR(23,loc6);
	RTLR(24,loc28);
	RTLR(25,loc29);
	RTLR(26,loc30);
	RTLR(27,loc31);
	RTLR(28,loc32);
	RTLR(29,loc33);
	RTLR(30,loc2);
	RTLR(31,loc34);
	RTLR(32,Result);
	RTLR(33,loc35);
	RTLR(34,saved_except);
	RTLIU(35);
	RTXSLS;
	
	RTEV;
	RTGC;
	RTE_T
	if ((EIF_BOOLEAN) !loc14) {
		tr1 = *(EIF_REFERENCE *)(Current);
		loc9 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_11_);
		tr1 = *(EIF_REFERENCE *)(Current);
		loc10 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_12_);
		loc11 = F161_2685(RTCW(loc10));
		F162_2726(RTCW(loc9));
		loc12 = *(EIF_REFERENCE *)(Current + _REFACS_1_);
		if ((EIF_BOOLEAN)(loc12 != NULL)) {
			loc18 = '\0';
			tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_9_);
			loc20 = tr1;
			if (EIF_TEST(loc20)) {
				tr1 = RTMS_EX_H("HTTP/1.0",8,303094320);
				tb1 = F1178_10480(loc20, tr1);
				loc18 = tb1;
			}
		}
		F465_6210(Current, loc12, loc9, loc10, loc11);
		tr1 = *(EIF_REFERENCE *)(Current);
		tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_2_);
		loc21 = tr1;
		if (EIF_TEST(loc21)) {
			F465_6211(Current, loc10, loc11, loc21);
		}
		loc3 = *(EIF_REFERENCE *)(Current + _REFACS_3_);
		tr1 = *(EIF_REFERENCE *)(Current);
		tb1 = F1387_13517(RTCW(tr1));
		if (tb1) {
			tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = RTMS_EX_H("> Sending:\012",11,485789194);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
			tr1 = RTLNS(eif_new_type(1432, 0x01).id, 1432, _OBJSIZ_6_2_0_1_0_0_0_0_);
			F1433_14994(RTCW(tr1), loc3);
			loc19 = (EIF_REFERENCE) tr1;
			tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = RTMS_EX_H("> ",2,15904);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
			tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
			tr3 = RTMS_EX_H(" ",1,32);
			tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8831[Dtype(RTCW(tr2))-1178])(tr2, tr3);
			tr3 = *(EIF_REFERENCE *)(RTCW(loc19) + _REFACS_3_);
			tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8831[Dtype(RTCW(tr2))-1178])(tr2, tr3);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
			tr1 = *(EIF_REFERENCE *)(RTCW(loc19) + _REFACS_4_);
			loc22 = tr1;
			if (EIF_TEST(loc22)) {
				tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, loc22);
			}
			if (loc18) {
				tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H(" HTTP/1.0",9,43051312);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
			} else {
				tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H(" HTTP/1.1",9,43051313);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
			}
			tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R6417[Dtype(RTCW(tr1))-940])(tr1);
			tr1 = *(EIF_REFERENCE *)(RTCW(loc19) + _REFACS_2_);
			loc23 = tr1;
			if (EIF_TEST(loc23)) {
				tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H("> ",2,15904);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
				tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H("Host: ",6,2079407136);
				tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8831[Dtype(tr2)-1178])(tr2, loc23);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
				tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R6417[Dtype(RTCW(tr1))-940])(tr1);
			}
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_4_);
			loc24 = F965_8742(RTCW(tr1));
			for (;;) {
				tb1 = F654_8045(loc24);
				if (tb1) break;
				tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H("> ",2,15904);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
				tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = F654_8043(loc24);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
				tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = RTMS_EX_H(": ",2,14880);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
				tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
				tr2 = F654_8042(loc24);
				(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
				tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
				(FUNCTION_CAST(void, (EIF_REFERENCE)) R6417[Dtype(RTCW(tr1))-940])(tr1);
				F654_8046(loc24);
			}
			tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
			tr2 = RTMS_EX_H("> ... ",6,896921120);
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
			tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
			(FUNCTION_CAST(void, (EIF_REFERENCE)) R6417[Dtype(RTCW(tr1))-940])(tr1);
		}
		ti4_1 = inline_F31_421();
		F161_2686(RTCW(loc10), loc11, ti4_1, loc3);
		if (loc18) {
			ti4_1 = inline_F31_463();
			ti4_2 = inline_F31_465();
			F161_2690(RTCW(loc10), loc11, ti4_1, ti4_2);
		} else {
			ti4_1 = inline_F31_463();
			ti4_2 = inline_F31_464();
			F161_2690(RTCW(loc10), loc11, ti4_1, ti4_2);
		}
		loc17 = *(EIF_REFERENCE *)(Current + _REFACS_4_);
		if ((EIF_BOOLEAN)(loc12 != NULL)) {
			tb2 = *(EIF_BOOLEAN *)(RTCW(loc12)+ _CHROFF_10_0_);
			if (tb2) {
				tr1 = F464_6196(Current);
				loc25 = tr1;
				if (EIF_TEST(loc25)) {
					switch (F464_6193(Current)) {
						case 0L:
							ti4_1 = inline_F31_435();
							ti4_2 = inline_F31_436();
							F161_2690(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 1L:
							ti4_1 = inline_F31_435();
							ti4_2 = inline_F31_437();
							F161_2690(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 2L:
							ti4_1 = inline_F31_435();
							ti4_2 = inline_F31_438();
							F161_2690(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 3L:
							ti4_1 = inline_F31_435();
							ti4_2 = inline_F31_439();
							F161_2690(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
						case 4L:
							ti4_1 = inline_F31_435();
							ti4_2 = inline_F31_440();
							F161_2690(RTCW(loc10), loc11, ti4_1, ti4_2);
							break;
					}
					ti4_1 = inline_F31_433();
					F161_2686(RTCW(loc10), loc11, ti4_1, loc25);
				}
			}
			tb2 = F72_1486(RTCW(loc12));
			if (tb2) {
				loc15 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_4_);
			}
			tb2 = F72_1487(RTCW(loc12));
			if (tb2) {
				loc16 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_5_);
			}
			if ((EIF_BOOLEAN)(loc15 != NULL)) {
				ti4_1 = inline_F31_450();
				F161_2686(RTCW(loc10), loc11, ti4_1, loc15);
				ti4_1 = inline_F31_451();
				ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc15) + O8841[Dtype(loc15)-1177]);
				F161_2690(RTCW(loc10), loc11, ti4_1, ti4_2);
			} else {
				if ((EIF_BOOLEAN)(loc16 != NULL)) {
					tr1 = RTLNS(eif_new_type(941, 0x01).id, 941, _OBJSIZ_4_6_2_4_1_1_2_1_);
					F940_8361(RTCW(tr1), loc16);
					loc7 = (EIF_REFERENCE) tr1;
					tb2 = '\0';
					tb3 = F940_8396(RTCW(loc7));
					if (tb3) {
						tb3 = F940_8399(RTCW(loc7));
						tb2 = tb3;
					}
					if (tb2) {
						ti4_1 = inline_F31_478();
						F161_2690(RTCW(loc10), loc11, ti4_1, ((EIF_INTEGER_32) 1L));
						ti4_1 = inline_F31_476();
						ti4_2 = F940_8391(RTCW(loc7));
						F161_2690(RTCW(loc10), loc11, ti4_1, ti4_2);
						if ((EIF_BOOLEAN)(loc8 == NULL)) {
							tr1 = RTLNS(eif_new_type(560, 0x01).id, 560, _OBJSIZ_2_0_0_0_0_0_0_0_);
							F559_6874(RTCW(tr1));
							loc8 = (EIF_REFERENCE) tr1;
						}
						F561_6886(RTCW(loc8), loc7);
						F940_8431(RTCW(loc7));
						F161_2696(RTCW(loc10), loc8);
					}
				} else {
					tb2 = '\0';
					tb3 = F72_1485(RTCW(loc12));
					if (tb3) {
						tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_3_);
						loc26 = tr1;
						tb2 = (EIF_TRUE);
					}
					if (tb2) {
						tr1 = RTMS_EX_H("Content-Type",12,1604261989);
						tr1 = F965_8733(RTCW(loc17), tr1);
						loc27 = tr1;
						if (EIF_TEST(loc27)) {
							tr1 = RTMS_EX_H("application/x-www-form-urlencoded",33,632002404);
							tb2 = F1178_10488(loc27, tr1);
							if (tb2) {
								loc15 = F72_1505(RTCW(loc12));
							} else {
								tb2 = '\01';
								tr1 = RTMS_EX_H("multipart/form-data",19,1299947873);
								tb3 = F1178_10488(loc27, tr1);
								if (!tb3) {
									tb3 = F715_8125(loc26);
									tb2 = tb3;
								}
								if (tb2) {
									loc4 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
								} else {
									loc4 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
								}
							}
						} else {
							tr1 = RTMS_EX_H("application/x-www-form-urlencoded",33,632002404);
							tr2 = RTMS_EX_H("Content-Type",12,1604261989);
							F965_8774(RTCW(loc17), tr1, tr2);
							loc15 = F72_1505(RTCW(loc12));
							ti4_1 = inline_F31_450();
							F161_2686(RTCW(loc10), loc11, ti4_1, loc15);
							ti4_1 = inline_F31_451();
							ti4_2 = *(EIF_INTEGER_32 *)(RTCW(loc15) + O8841[Dtype(loc15)-1177]);
							F161_2690(RTCW(loc10), loc11, ti4_1, ti4_2);
						}
						if (loc4) {
							loc5 = RTLNS(eif_new_type(548, 0x01).id, 548, _OBJSIZ_0_0_0_0_0_1_0_0_);
							loc6 = RTLNS(eif_new_type(548, 0x01).id, 548, _OBJSIZ_0_0_0_0_0_1_0_0_);
							loc28 = F714_8123(loc26);
							for (;;) {
								tb2 = F663_8057(loc28);
								if (tb2) break;
								tr1 = F663_8048(loc28);
								loc29 = tr1;
								loc29 = RTRV(eif_new_type(1248, 0x01),loc29);
								if (EIF_TEST(loc29)) {
									ti4_1 = inline_F33_618();
									tr1 = *(EIF_REFERENCE *)(loc29);
									ti4_2 = inline_F33_619();
									tr2 = *(EIF_REFERENCE *)(loc29 + _REFACS_2_);
									ti4_3 = inline_F33_620();
									F162_2728(RTCW(loc9), loc5, loc6, ti4_1, tr1, ti4_2, tr2, ti4_3);
								} else {
									tr1 = F663_8048(loc28);
									loc30 = tr1;
									loc30 = RTRV(eif_new_type(1247, 0x01),loc30);
									if (EIF_TEST(loc30)) {
										ti4_1 = inline_F33_618();
										tr1 = RTMS_EX_H("file",4,1718185061);
										ti4_2 = inline_F33_621();
										tr2 = *(EIF_REFERENCE *)(loc30);
										tr2 = F1198_11180(RTCW(tr2));
										ti4_3 = inline_F33_620();
										F162_2728(RTCW(loc9), loc5, loc6, ti4_1, tr1, ti4_2, tr2, ti4_3);
									} else {
									}
								}
								F663_8063(loc28);
							}
							F549_6709(RTCW(loc6));
							ti4_1 = inline_F31_453();
							F161_2687(RTCW(loc10), loc11, ti4_1, loc5);
						}
					} else {
					}
				}
			}
		}
		loc31 = F965_8742(RTCW(loc17));
		for (;;) {
			tb3 = F654_8045(loc31);
			if (tb3) break;
			tr1 = F654_8043(loc31);
			tr2 = RTMS_EX_H(": ",2,14880);
			tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8831[Dtype(RTCW(tr1))-1178])(tr1, tr2);
			tr2 = F654_8042(loc31);
			tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8831[Dtype(RTCW(tr1))-1178])(tr1, tr2);
			tp1 = F162_2729(RTCW(loc9), loc13, tr1);
			loc13 = (EIF_POINTER) tp1;
			F654_8046(loc31);
		}
		tr1 = RTMS_EX_H("Expect:",7,159486778);
		tp1 = F162_2729(RTCW(loc9), loc13, tr1);
		loc13 = (EIF_POINTER) tp1;
		ti4_1 = inline_F31_456();
		F161_2688(RTCW(loc10), loc11, ti4_1, loc13);
		F161_2699(RTCW(loc10), loc11);
		F161_2698(RTCW(loc10), loc11);
		if (F464_6186(Current)) {
			F161_2701(RTCW(loc10), loc11);
			ti4_1 = inline_F31_410();
			F161_2690(RTCW(loc10), loc11, ti4_1, ((EIF_INTEGER_32) 1L));
		}
		tb4 = '\0';
		if ((EIF_BOOLEAN)(loc12 != NULL)) {
			tb5 = F72_1488(RTCW(loc12));
			tb4 = tb5;
		}
		if (tb4) {
			if ((EIF_BOOLEAN)(loc8 == NULL)) {
				tr1 = RTLNS(eif_new_type(560, 0x01).id, 560, _OBJSIZ_2_0_0_0_0_0_0_0_);
				F559_6874(RTCW(tr1));
				loc8 = (EIF_REFERENCE) tr1;
			}
			tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_6_);
			loc32 = tr1;
			if (EIF_TEST(loc32)) {
				F561_6885(RTCW(loc8), loc32);
			} else {
				tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_8_);
				loc33 = tr1;
				if (EIF_TEST(loc33)) {
					tr1 = RTLNS(eif_new_type(1180, 0x01).id, 1180, _OBJSIZ_1_1_0_4_0_0_0_0_);
					F1172_10155(RTCW(tr1));
					loc2 = (EIF_REFERENCE) tr1;
					tr1 = F465_6214(Current, loc33, loc2);
					F561_6885(RTCW(loc8), tr1);
				} else {
					tr1 = *(EIF_REFERENCE *)(RTCW(loc12) + _REFACS_7_);
					loc34 = tr1;
					if (EIF_TEST(loc34)) {
						tr1 = RTLNS(eif_new_type(1180, 0x01).id, 1180, _OBJSIZ_1_1_0_4_0_0_0_0_);
						F1172_10155(RTCW(tr1));
						loc2 = (EIF_REFERENCE) tr1;
						tr1 = F465_6213(Current, loc34, loc2);
						F561_6885(RTCW(loc8), tr1);
					}
				}
			}
			F161_2696(RTCW(loc10), loc8);
		} else {
			tr1 = RTLNS(eif_new_type(1180, 0x01).id, 1180, _OBJSIZ_1_1_0_4_0_0_0_0_);
			F1172_10155(RTCW(tr1));
			loc2 = (EIF_REFERENCE) tr1;
			ti4_1 = inline_F31_414();
			F161_2689(RTCW(loc10), loc11, ti4_1, loc2);
		}
		tr1 = RTLNS(eif_new_type(70, 0x01).id, 70, _OBJSIZ_8_1_0_1_0_0_0_0_);
		F71_1445(RTCW(tr1), loc3);
		Result = (EIF_REFERENCE) tr1;
		loc1 = F161_2693(RTCW(loc10), loc11);
		if ((EIF_BOOLEAN)(loc1 == ((EIF_INTEGER_32) 0L))) {
			ti4_1 = F465_6212(Current, loc10, loc11);
			F71_1465(RTCW(Result), ti4_1);
			if ((EIF_BOOLEAN)(loc2 != NULL)) {
				tr1 = F1178_10468(RTCW(loc2));
				F71_1467(RTCW(Result), tr1, loc12);
				tr1 = *(EIF_REFERENCE *)(Current);
				tb4 = F1387_13518(RTCW(tr1));
				if (tb4) {
					tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
					tr2 = RTMS_EX_H("< Receiving:\012",13,798060298);
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
					tr1 = RTOUCR(34,F101_1908, (RTCV(RTOUCR(2,F1_24, (Current)))));
					tr2 = *(EIF_REFERENCE *)(RTCW(Result) + _REFACS_4_);
					(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(tr1))-567])(tr1, tr2);
				}
			}
		} else {
			tr1 = F162_2731(RTCW(loc9), loc1);
			loc35 = tr1;
			if ((EIF_TRUE)) {
				tr1 = RTMS_EX_H("Error: ",7,316445984);
				tr2 = RTLNS(eif_new_type(86, 0x00).id, 86, _OBJSIZ_0_0_0_0_0_0_0_0_);
				tr3 = F87_1735(RTCW(tr2), loc35);
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8831[Dtype(tr1)-1178])(tr1, tr3);
				F71_1449(RTCW(Result), tr1);
			} else {
				tr1 = RTMS_EX_H("Error: cURL Error[",18,2136945755);
				tr2 = eif_out__i4_s1(loc1);
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8831[Dtype(tr1)-1178])(tr1, tr2);
				tr2 = RTMS_EX_H("]",1,93);
				tr1 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE, EIF_REFERENCE)) R8831[Dtype(RTCW(tr1))-1178])(tr1, tr2);
				F71_1449(RTCW(Result), tr1);
			}
			ti4_1 = F465_6212(Current, loc10, loc11);
			F71_1465(RTCW(Result), ti4_1);
		}
		F162_2727(RTCW(loc9));
		F161_2694(RTCW(loc10), loc11);
	} else {
		tr1 = RTLNS(eif_new_type(70, 0x01).id, 70, _OBJSIZ_8_1_0_1_0_0_0_0_);
		F71_1445(RTCW(tr1), *(EIF_REFERENCE *)(Current + _REFACS_3_));
		Result = (EIF_REFERENCE) tr1;
		tr1 = RTMS_EX_H("Error: internal error",21,167678066);
		F71_1449(RTCW(Result), tr1);
	}
	if ((EIF_BOOLEAN)(loc5 != NULL)) {
		F549_6708(RTCW(loc5));
	}
	tb4 = '\0';
	if ((EIF_BOOLEAN)(loc9 != NULL)) {
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tb4 = (EIF_BOOLEAN)(loc13 != tp1);
	}
	if (tb4) {
		F162_2730(RTCW(loc9), loc13);
	}
	tb4 = '\0';
	if ((EIF_BOOLEAN)(loc7 != NULL)) {
		tb5 = F940_8420(RTCW(loc7));
		tb4 = (EIF_BOOLEAN) !tb5;
	}
	if (tb4) {
		F940_8448(RTCW(loc7));
	}
	RTE_E
	RTXSC;
	loc14 = (EIF_BOOLEAN) (EIF_BOOLEAN) 1;
	if ((EIF_BOOLEAN)(loc9 != NULL)) {
		F162_2727(RTCW(loc9));
		loc9 = (EIF_REFERENCE) NULL;
	}
	tb4 = '\0';
	if ((EIF_BOOLEAN)(loc10 != NULL)) {
		{
			/* INLINED CODE (ANY.default_pointer) */
			tp1 = (EIF_POINTER)  0;
			/* END INLINED CODE */
		}
		tb4 = (EIF_BOOLEAN)(loc11 != tp1);
	}
	if (tb4) {
		F161_2694(RTCW(loc10), loc11);
		loc10 = (EIF_REFERENCE) NULL;
	}
	RTER;
	/* NOTREACHED */
	RTE_EE
	RTEOK;
	RTLE;
	return Result;
}
#undef EIF_VOLATILE
#define EIF_VOLATILE

/* {LIBCURL_HTTP_CLIENT_REQUEST}.initialize_curl_session */
void F465_6210 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_POINTER arg4)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,arg3);
	RTLR(1,arg1);
	RTLR(2,loc1);
	RTLR(3,Current);
	RTLR(4,tr1);
	RTLR(5,loc2);
	RTLR(6,tr2);
	RTLIU(7);
	
	RTGC;
	ti4_1 = inline_F31_411();
	F161_2690(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
	if ((EIF_BOOLEAN)(arg1 != NULL)) {
		loc1 = *(EIF_REFERENCE *)(RTCW(arg1));
	}
	if ((EIF_BOOLEAN)(loc1 == NULL)) {
		loc1 = F464_6197(Current);
	}
	if ((EIF_BOOLEAN)(loc1 != NULL)) {
		ti4_1 = inline_F31_423();
		ti4_2 = eif_integer_32_item(RTCW(loc1),2);
		F161_2690(RTCW(arg3), arg4, ti4_1, ti4_2);
		ti4_1 = inline_F31_422();
		tr1 = eif_boxed_item(loc1,1);
		F161_2686(RTCW(arg3), arg4, ti4_1, tr1);
	}
	if ((EIF_BOOLEAN) (F464_6198(Current) > ((EIF_INTEGER_32) 0L))) {
		ti4_1 = inline_F31_485();
		ti4_2 = F464_6198(Current);
		F161_2690(RTCW(arg3), arg4, ti4_1, ti4_2);
	}
	if ((EIF_BOOLEAN) (F464_6199(Current) > ((EIF_INTEGER_32) 0L))) {
		ti4_1 = inline_F31_495();
		ti4_2 = F464_6198(Current);
		F161_2690(RTCW(arg3), arg4, ti4_1, ti4_2);
	}
	if ((EIF_BOOLEAN)(F464_6200(Current) != ((EIF_INTEGER_32) 0L))) {
		ti4_1 = inline_F31_445();
		F161_2690(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
		ti4_1 = inline_F31_447();
		ti4_2 = F464_6200(Current);
		F161_2690(RTCW(arg3), arg4, ti4_1, ti4_2);
	} else {
		ti4_1 = inline_F31_445();
		F161_2690(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 0L));
	}
	if (F464_6205(Current)) {
		ti4_1 = inline_F31_523();
		F161_2690(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 0L));
		ti4_1 = inline_F31_520();
		F161_2690(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 0L));
	}
	tr1 = *(EIF_REFERENCE *)(Current);
	tr1 = *(EIF_REFERENCE *)(RTCW(tr1) + _REFACS_10_);
	loc2 = tr1;
	if (EIF_TEST(loc2)) {
		ti4_1 = inline_F31_526();
		F161_2686(RTCW(arg3), arg4, ti4_1, loc2);
	}
	tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
	tr2 = RTMS_EX_H("GET",3,4670804);
	tb1 = F1178_10478(RTCW(tr1), tr2);
	if (tb1) {
		ti4_1 = inline_F31_462();
		F161_2690(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
	} else {
		tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
		tr2 = RTMS_EX_H("POST",4,1347375956);
		tb1 = F1178_10478(RTCW(tr1), tr2);
		if (tb1) {
			ti4_1 = inline_F31_449();
			F161_2690(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
		} else {
			tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
			tr2 = RTMS_EX_H("PUT",3,5264724);
			tb1 = F1178_10478(RTCW(tr1), tr2);
			if (tb1) {
				ti4_1 = inline_F31_448();
				F161_2690(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
			} else {
				tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
				tr2 = RTMS_EX_H("HEAD",4,1212498244);
				tb1 = F1178_10478(RTCW(tr1), tr2);
				if (tb1) {
					ti4_1 = inline_F31_475();
					F161_2690(RTCW(arg3), arg4, ti4_1, ((EIF_INTEGER_32) 1L));
				} else {
					tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
					tr2 = RTMS_EX_H("DELETE",6,1413835333);
					tb1 = F1178_10478(RTCW(tr1), tr2);
					if (tb1) {
						ti4_1 = inline_F31_473();
						tr1 = RTMS_EX_H("DELETE",6,1413835333);
						F161_2686(RTCW(arg3), arg4, ti4_1, tr1);
					} else {
						ti4_1 = inline_F31_473();
						tr1 = *(EIF_REFERENCE *)(Current + _REFACS_2_);
						F161_2686(RTCW(arg3), arg4, ti4_1, tr1);
					}
				}
			}
		}
	}
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.initialize_curl_security_session */
void F465_6211 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_POINTER arg2, EIF_REFERENCE arg3)
{
	GTCX
	EIF_REFERENCE loc1 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc3 = (EIF_REFERENCE) 0;
	EIF_REFERENCE loc4 = (EIF_REFERENCE) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_INTEGER_32 ti4_1;
	EIF_INTEGER_32 ti4_2;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(7);
	RTLR(0,arg3);
	RTLR(1,arg1);
	RTLR(2,loc1);
	RTLR(3,tr1);
	RTLR(4,loc2);
	RTLR(5,loc3);
	RTLR(6,loc4);
	RTLIU(7);
	
	RTGC;
	ti4_1 = *(EIF_INTEGER_32 *)(RTCW(arg3));
	tb1 = (RTNA((RTCW(arg3), ti4_1)), ((EIF_BOOLEAN) 0));
	if (tb1) {
		tb1 = (RTNA((RTCW(arg3))), ((EIF_BOOLEAN) 0));
		if (tb1) {
			ti4_1 = inline_F31_513();
			ti4_2 = inline_F31_516();
			F161_2690(RTCW(arg1), arg2, ti4_1, ti4_2);
		}
		tb1 = (RTNA((RTCW(arg3))), ((EIF_BOOLEAN) 0));
		if (tb1) {
			ti4_1 = inline_F31_513();
			ti4_2 = inline_F31_517();
			F161_2690(RTCW(arg1), arg2, ti4_1, ti4_2);
		}
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc1 = tr1;
	if (EIF_TEST(loc1)) {
		ti4_1 = inline_F31_507();
		F161_2686(RTCW(arg1), arg2, ti4_1, loc1);
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc2 = tr1;
	if (EIF_TEST(loc2)) {
		ti4_1 = inline_F31_510();
		F161_2686(RTCW(arg1), arg2, ti4_1, loc2);
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc3 = tr1;
	if (EIF_TEST(loc3)) {
		ti4_1 = inline_F31_506();
		F161_2686(RTCW(arg1), arg2, ti4_1, loc3);
	}
	tr1 = *(EIF_REFERENCE *)(RTCW(arg3));
	loc4 = tr1;
	if (EIF_TEST(loc4)) {
		ti4_1 = inline_F31_521();
		F161_2686(RTCW(arg1), arg2, ti4_1, loc4);
	}
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg3));
	if (tb1) {
		ti4_1 = inline_F31_520();
		F161_2690(RTCW(arg1), arg2, ti4_1, ((EIF_INTEGER_32) 1L));
	}
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg3));
	if (tb1) {
		ti4_1 = inline_F31_523();
		F161_2690(RTCW(arg1), arg2, ti4_1, ((EIF_INTEGER_32) 2L));
	}
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.response_status_code */
EIF_INTEGER_32 F465_6212 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_POINTER arg2)
{
	GTCX
	EIF_INTEGER_32 loc1 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE loc2 = (EIF_REFERENCE) 0;
	EIF_INTEGER_32 loc3 = (EIF_INTEGER_32) 0;
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(5);
	RTLR(0,loc2);
	RTLR(1,Current);
	RTLR(2,arg1);
	RTLR(3,tr1);
	RTLR(4,tr2);
	RTLIU(5);
	
	RTGC;
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,211,0,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(Dftype(Current), typarr0)));
		loc2 = RTLNS(typres0.id, 211, _OBJSIZ_1_0_0_0_0_0_0_0_);
	}
	F212_3233(RTCW(loc2), NULL);
	loc1 = F161_2695(RTCW(arg1), arg2, ((EIF_INTEGER_32) 2097154L), loc2);
	tb1 = '\0';
	if ((EIF_BOOLEAN)(loc1 == ((EIF_INTEGER_32) 0L))) {
		tr2 = (FUNCTION_CAST(EIF_REFERENCE, (EIF_REFERENCE)) R3171[Dtype(RTCW(loc2))-211])(loc2);
		tr1 = RTCCL(tr2);
		RTOB(*(EIF_INTEGER_32 *), eif_new_type(1316, 0x00), tr1, loc3, tb2);
		tb1 = tb2;
	}
	if (tb1) {
		RTLE;
		return (EIF_INTEGER_32) loc3;
	} else {
		RTLE;
		return (EIF_INTEGER_32) ((EIF_INTEGER_32) 0L);
	}/* NOTREACHED */
	
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.new_write_data_to_file_agent */
EIF_REFERENCE F465_6213 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(8);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg2);
	RTLR(3,arg1);
	RTLR(4,tr2);
	RTLR(5,tr3);
	RTLR(6,tr4);
	RTLR(7,Result);
	RTLIU(8);
	
	RTGC;
	{
		EIF_TYPE_INDEX typarr0[] = {0xFFF9,4,1117,0xFF01,0,1179,0xFF01,939,0xFF01,213,1131,0xFFFF};
		EIF_TYPE typres0;
		typarr0[4] = dftype;
		
		typres0 = eif_compound_id(dftype, typarr0);
		tr1 = RTLNTS(typres0.id, 5, 0);
	}
	((EIF_TYPED_VALUE *)tr1+1)->it_r = Current;
	RTAR(tr1,Current);
	((EIF_TYPED_VALUE *)tr1+2)->it_r = arg2;
	RTAR(tr1,arg2);
	((EIF_TYPED_VALUE *)tr1+3)->it_r = arg1;
	RTAR(tr1,arg1);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,213,1131,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr2 = RTLNS(typres0.id, 213, _OBJSIZ_0_1_0_0_0_0_0_0_);
	}
	F214_3233(RTCW(tr2), (EIF_BOOLEAN) 0);
	((EIF_TYPED_VALUE *)tr1+4)->it_r = tr2;
	RTAR(tr1,tr2);
	
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1166,0xFF01,0xFFF9,1,1117,0xFF01,1177,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr4= RTLNRF(typres0.id, (EIF_POINTER) __A415_66_2, (EIF_POINTER) _A415_66_2, (EIF_POINTER)(0),tr1, 1, 1);
	}
	Result = (EIF_REFERENCE) tr4;
	RTLE;
	return Result;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.new_write_content_data_to_file_agent */
EIF_REFERENCE F465_6214 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_REFERENCE tr2 = NULL;
	EIF_REFERENCE tr3 = NULL;
	EIF_REFERENCE tr4 = NULL;
	EIF_REFERENCE Result = ((EIF_REFERENCE) 0);
	
	RTCFDT;
	RTLD;
	
	RTLI(8);
	RTLR(0,Current);
	RTLR(1,tr1);
	RTLR(2,arg2);
	RTLR(3,arg1);
	RTLR(4,tr2);
	RTLR(5,tr3);
	RTLR(6,tr4);
	RTLR(7,Result);
	RTLIU(8);
	
	RTGC;
	{
		EIF_TYPE_INDEX typarr0[] = {0xFFF9,4,1117,0xFF01,0,1179,0xFF01,939,0xFF01,213,1131,0xFFFF};
		EIF_TYPE typres0;
		typarr0[4] = dftype;
		
		typres0 = eif_compound_id(dftype, typarr0);
		tr1 = RTLNTS(typres0.id, 5, 0);
	}
	((EIF_TYPED_VALUE *)tr1+1)->it_r = Current;
	RTAR(tr1,Current);
	((EIF_TYPED_VALUE *)tr1+2)->it_r = arg2;
	RTAR(tr1,arg2);
	((EIF_TYPED_VALUE *)tr1+3)->it_r = arg1;
	RTAR(tr1,arg1);
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,213,1131,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr2 = RTLNS(typres0.id, 213, _OBJSIZ_0_1_0_0_0_0_0_0_);
	}
	F214_3233(RTCW(tr2), (EIF_BOOLEAN) 0);
	((EIF_TYPED_VALUE *)tr1+4)->it_r = tr2;
	RTAR(tr1,tr2);
	
	{
		static EIF_TYPE_INDEX typarr0[] = {0xFF01,1166,0xFF01,0xFFF9,1,1117,0xFF01,1177,0xFFFF};
		EIF_TYPE typres0;
		static EIF_TYPE typcache0 = {INVALID_DTYPE, 0};
		
		typres0 = (typcache0.id != INVALID_DTYPE ? typcache0 : (typcache0 = eif_compound_id(dftype, typarr0)));
		tr4= RTLNRF(typres0.id, (EIF_POINTER) __A415_65_2, (EIF_POINTER) _A415_65_2, (EIF_POINTER)(0),tr1, 1, 1);
	}
	Result = (EIF_REFERENCE) tr4;
	RTLE;
	return Result;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.inline-agent#1 of new_write_content_data_to_file_agent */
void F465_15653 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_REFERENCE arg4)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg4);
	RTLR(1,arg3);
	RTLR(2,arg1);
	RTLR(3,arg2);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTGC;
	tb1 = *(EIF_BOOLEAN *)(RTCW(arg4)+ _CHROFF_0_0_);
	if (tb1) {
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(arg3))-567])(arg3, arg1);
	} else {
		if ((EIF_BOOLEAN)(arg2 != NULL)) {
			(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8865[Dtype(RTCW(arg2))-1179])(arg2, arg1);
		}
		tr1 = RTMS_EX_H("\015\012",2,3338);
		tb1 = F1178_10488(RTCW(arg1), tr1);
		if (tb1) {
			F214_3234(RTCW(arg4), (EIF_BOOLEAN) 1);
		}
	}
	RTLE;
}

/* {LIBCURL_HTTP_CLIENT_REQUEST}.inline-agent#1 of new_write_data_to_file_agent */
void F465_15654 (EIF_REFERENCE Current, EIF_REFERENCE arg1, EIF_REFERENCE arg2, EIF_REFERENCE arg3, EIF_REFERENCE arg4)
{
	GTCX
	EIF_REFERENCE tr1 = NULL;
	EIF_BOOLEAN tb1;
	EIF_BOOLEAN tb2;
	RTLD;
	
	RTLI(5);
	RTLR(0,arg3);
	RTLR(1,arg1);
	RTLR(2,arg2);
	RTLR(3,arg4);
	RTLR(4,tr1);
	RTLIU(5);
	
	RTGC;
	(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R6419[Dtype(RTCW(arg3))-567])(arg3, arg1);
	tb1 = '\0';
	if ((EIF_BOOLEAN)(arg2 != NULL)) {
		tb2 = *(EIF_BOOLEAN *)(RTCW(arg4)+ _CHROFF_0_0_);
		tb1 = (EIF_BOOLEAN) !tb2;
	}
	if (tb1) {
		(FUNCTION_CAST(void, (EIF_REFERENCE, EIF_REFERENCE)) R8865[Dtype(RTCW(arg2))-1179])(arg2, arg1);
		tr1 = RTMS_EX_H("\015\012",2,3338);
		tb1 = F1178_10488(RTCW(arg1), tr1);
		if (tb1) {
			F214_3234(RTCW(arg4), (EIF_BOOLEAN) 1);
		}
	}
	RTLE;
}

void EIF_Minit415 (void)
{
	GTCX
}


#ifdef __cplusplus
}
#endif
